# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [15.2.1](https://gerrit.instructure.com/quizzes-ui/compare/v15.2.0...v15.2.1) (2019-05-30)

**Note:** Version bump only for package quiz-core





# [15.2.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.1.2...v15.2.0) (2019-05-28)

### Bug Fixes

* **Bank:** Fix truncated Filters button in MSEdge ([39d9438](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/39d9438))
* **BankEntry:** show action buttons on same line ([3d9e61a](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3d9e61a))
* **build:** Remove copy files flag from build calls ([c306a04](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c306a04))
* **i18n:** change pluralization of pt/pts ([6d73057](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6d73057))
* **LearnosityCalculator:** only one calc loads per page ([633059f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/633059f))
* **Modals:** modals in front of calc, select in front of modals ([18b335c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/18b335c))
* **quiz-core:** Fix bad import path in quizzes selectors ([013c275](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/013c275))
* **quiz-core:** Stop using pending modifications when rendering item bank questions for "Show" ([1b033f8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1b033f8))
* **quiz-pages:** Fix time limit not displaying when a student starts a quiz ([711cc73](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/711cc73))
* **quizzes-ui:** Fix custom formats not working in translated bundles ([427d6cd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/427d6cd))
* **report:** use correct css files for QuintileDistribution ([6b38b79](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6b38b79))
* **sidebar:** correct stimulus separator styles ([f280abd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f280abd))
* **styles:** fix more styles re-use ([dfd7d9f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dfd7d9f))
* **VRT:** undo hard-coding of transition duration ([3af10d3](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3af10d3))


### Features

* **BankSharing:** add minChars prop for sharing search ([ec4aeee](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ec4aeee))
* **BankSharing:** add onShare callback prop ([98a1232](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/98a1232))
* **BankSharing:** change onShare prop to be per-person ([f5c94e2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f5c94e2))
* **ExtraAttempts:** implement ExtraAttempts component ([fe942a4](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/fe942a4))
* **instructure-validations:** translate messages ([f4f3a0b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f4f3a0b))
* **quiz-core:** Display total points on sidebar when building ([db2ac00](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/db2ac00))





## [15.1.2](https://gerrit.instructure.com/quizzes-ui/compare/v15.1.0...v15.1.2) (2019-05-23)


### Bug Fixes

* **LearnosityCalculator:** only one calc loads per page ([05647e0](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/05647e0))





## [15.1.1](https://gerrit.instructure.com/quizzes-ui/compare/v15.1.0...v15.1.1) (2019-05-14)


### Bug Fixes

* **quiz-pages:** Fix time limit not displaying when a student starts a quiz ([a7a039c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a7a039c))
* **report:** use correct css files for QuintileDistribution ([ec2d6ae](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ec2d6ae))
* **styles:** fix more styles re-use ([fa65ab2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/fa65ab2))





# [15.1.0](https://gerrit.instructure.com/quizzes-ui/compare/v15.0.0...v15.1.0) (2019-05-07)


### Bug Fixes

* **BankEntry:** pass entry to presenter ([f13d864](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f13d864))
* **banks:** restrict bank selection to modal ([38c2da3](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/38c2da3))
* **build:** correct focus on cancelling new item ([239eee2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/239eee2))
* **Calculator:** show modals in front of calculator ([8bf7f40](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8bf7f40))
* **chromatic:** getting modals to render in chromatic ([eb0711f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/eb0711f))
* **ManageBanks:** can cancel temporary item creation ([396b782](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/396b782))
* **modal:** revert change to modal with z-index ([2cf46df](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2cf46df))
* **Ordering:** improve keyboard navigation of menus ([6a58708](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6a58708))
* **quiz-common:** Fix missing custom i18n formats ([cb268d8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cb268d8))
* **quiz-core:** Fix build page's missing instruction styling ([eae8648](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/eae8648))
* **quiz-core:** Stop using pending modifications when rendering item bank questions for "Show" ([9c627d4](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9c627d4))
* **QuizEntryEdit:** wrap entry edit buttons ([5fc1bcc](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5fc1bcc))
* **quizzes-ui:** Fix custom formats not working in translated bundles ([3e4ef07](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3e4ef07))
* **Show:** do not render before quiz loaded ([8f783f9](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8f783f9))


### Features

* **accommodations-modal:** Add a modal for course accommodations settings ([3de5529](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3de5529))
* **ExtraTimeSettings:** implement ExtraTimeSettings component ([6e53c8d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6e53c8d))
* **moderate-table:** accommodations column now displays provided value ([e843259](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e843259))
* **moderate-table:** add optional accommodations column ([7ea7225](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/7ea7225))
* **Sidebar:** Add dashed border before first sidebar stimulus item ([a670fed](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a670fed))





# [15.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.5.1...v15.0.0) (2019-04-17)


### Bug Fixes

* **bank:** fix focus ring on edit name ([dbb4b6a](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dbb4b6a))
* **BankEntryRow:** VoiceOver focus jump ([8d68c71](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8d68c71))
* **feedback-modal:** apply focus when modal closes ([ce050dc](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ce050dc))
* **LearnosityCalculator:** race conditions ([0087bc7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0087bc7))
* **quiz-core:** alert when updating immutable item ([f8736e6](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f8736e6))
* **quiz-core:** Fix focus/hover styling for stimulus interactions ([dd507ee](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dd507ee))
* **reporting:** Fix headings on item analysis ([7e7aff1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/7e7aff1))
* **Show:** do not render before quiz loaded ([6736c95](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6736c95))
* **Show:** use time limit from quiz session ([aad7a69](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/aad7a69))


### Code Refactoring

* **quizzes-ui:** Upgrade inst-ui to 5.44.0 ([fac441f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/fac441f))


### Features

* **quiz-core:** Add animation settings props for Quiz and Item Analysis graphs ([9718ae9](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9718ae9))


### BREAKING CHANGES

* **quizzes-ui:** This patch includes the long awaited bump to ui-presets which
upgrades us to babel 7 and webpack 4.  This also involved updating format-message-cli, which has a breaking change that will filter down to anyone using quiz-presets.  Anyone relying on quiz-presets for format message dependencies will need to update their extract script to include "-g underscored_crc32"

Change-Id: I205b0b9b32d41c8b6f8a7dda259cd98f5a8f09ef
Reviewed-on: https://gerrit.instructure.com/181090
Tested-by: Jenkins
QA-Review: Michael Brewer-Davis <mbd@instructure.com>
Reviewed-by: Aaron Griffin <agriffin@instructure.com>
Visual-Regression-Test: Chromatic
Product-Review: Jim Simon <jsimon@instructure.com>





## [14.5.1](https://gerrit.instructure.com/quizzes-ui/compare/v14.5.0...v14.5.1) (2019-03-25)


### Bug Fixes

* **AnalysisMetrics:** QuizAnalysis shows spinner, if it hasn't been loaded yet. ([8112b07](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8112b07))





# [14.5.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.4.0...v14.5.0) (2019-03-14)


### Bug Fixes

* **quiz-core:** don't bind action creator from props to store ([0eaf2b0](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0eaf2b0))


### Features

* **analysis-metrics:** Make Quiz and Item Metrics Optional ([c8f9bd3](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c8f9bd3))





# [14.4.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.3.2...v14.4.0) (2019-02-28)


### Bug Fixes

* **Banks:** add page number to bank request ([bfb4516](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/bfb4516))
* **build:** allow setting points possible for bank entry ([b687a30](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b687a30))
* **build:** change size, visibility of edit icons ([a6e00b8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a6e00b8))
* **building:** close sidebar on title/instr click ([d7b9520](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d7b9520))
* **Building:** show focus indicator on question title ([c7dd375](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c7dd375))
* **FileUpload:** use correct filename on download ([d93574a](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d93574a))
* **numeric:** error leaving unchanged take field ([9b3ffd8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9b3ffd8))
* **quiz-core:** Fix click target for Add to Bank button ([2e0f6a1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2e0f6a1))
* **quiz-core:** Fix height styling for QuintileDistribution ([4cec42b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4cec42b))
* **quiz-core:** Fix starred bar color for CentileDistribution ([b352ec2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b352ec2))
* **QuizEntry:** vary points for banked entry ([9f5c086](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9f5c086))
* **search:** improve screen reader announcements ([c531bef](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c531bef))
* **search:** replace header with text ([f28217b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f28217b))
* **Settings:** Make Timer read from props always ([8c7a2e8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8c7a2e8))
* **TagDisplay:** duplicate import snuck in ([b90123d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b90123d))
* **tagging:** improve a11y on tag display ([4f546cf](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4f546cf))
* **tagging:** Load tags from item/stimulus ([086ab98](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/086ab98))
* **tagging:** provide a11y context on extra tags ([f70289f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f70289f))


### Features

* **search:** configure elasticsearch for demo app ([5d18599](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5d18599))
* **search:** improve a11y on search filter button ([1a56bc9](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1a56bc9))
* **search:** tag auto-complete for search ([f1cd746](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f1cd746))





<a name="14.3.2"></a>
## [14.3.2](https://gerrit.instructure.com/quizzes-ui/compare/v14.3.1...v14.3.2) (2019-02-06)


### Bug Fixes

* **build:** allow setting points possible for bank entry ([18ab2f5](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/18ab2f5))
* **numeric:** error leaving unchanged take field ([0bc5efc](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0bc5efc))
* **quiz-core:** Fix height styling for QuintileDistribution ([6a331a8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6a331a8))
* **QuizEntry:** vary points for banked entry ([03a4511](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/03a4511))





<a name="14.3.1"></a>
## [14.3.1](https://gerrit.instructure.com/quizzes-ui/compare/v14.3.0...v14.3.1) (2019-02-01)

**Note:** Version bump only for package quiz-core





<a name="14.3.0"></a>
# [14.3.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.2.0...v14.3.0) (2019-02-01)


### Bug Fixes

* **AttemptHistory:** add hidden score a11y text ([702664f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/702664f))
* **LocaleSwitcher:** fetch top-level translations ([c1c1a92](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c1c1a92))
* **quiz-core:** Fix broken styles for MetricsListItem ([dcc8b8d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dcc8b8d))
* **quiz-core:** Fix styling for distribution charts ([25ead4e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/25ead4e))
* **Results:** Do not send any session items if showItems is false ([138f2d2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/138f2d2))
* **tagging:** conditionally fetch tag associations ([a5030de](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a5030de))


### Features

* **AttemptHistory:** add averageScore prop ([e9af937](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e9af937))
* **NumberInput:** move into quizzes ([e86a6cf](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e86a6cf))
* **tagging:** auto-suggest on tag creation ([eac6a13](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/eac6a13))
* **tagging:** display tags on quiz entry display ([5d46a8d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5d46a8d))
* **tagging:** encode option values on new tags ([5354d78](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5354d78))





<a name="14.2.0"></a>
# [14.2.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.1.0...v14.2.0) (2019-01-18)


### Bug Fixes

* **Grading:** do not normalize active points field ([e3845f7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e3845f7))
* **performance:** remove props arg to mapDispatchToProps ([dd8b6aa](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dd8b6aa))
* **reopen:** Fix reopen a11y and add missing reopen state ([f452a01](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f452a01))


### Features

* **AttemptHistory:** add averageScore prop ([e9af937](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e9af937))
* **calculator:** ensure single visible calc ([d3c9fcc](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d3c9fcc))
* **quiz-calculator:** Quiz caclulator hidden when question calculator present ([8f5cfa4](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8f5cfa4))
* **quiz-core:** Add calculator per question to take interactions ([717717e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/717717e))
* **results:** add showItems flag to Results ([2fd1785](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2fd1785))
* **search:** store locale for bank search i18n ([9b6a3f7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9b6a3f7))
* **tagging:** tag addition on bank entry edit ([5202465](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5202465))





<a name="14.1.0"></a>
# [14.1.0](https://gerrit.instructure.com/quizzes-ui/compare/v14.0.0...v14.1.0) (2019-01-07)


### Bug Fixes

* **a11y:** keep focus in banks tray when deleting a bank ([62cd34d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/62cd34d))
* **BankEntry:** Don't use .get() everywhere ([1216368](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1216368))
* **banks:** resolve error adding new items in bank ([08f837a](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/08f837a))
* **dependencies:** remove nightwatch ([73211d1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/73211d1))
* **quiz-interactions:** no answer/responses hidden ([582d29c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/582d29c))
* **Timer:** fix timer styles ([1fad5a6](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1fad5a6))


### Features

* **tagging:** tag removal on bank entry edit ([86a19c7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/86a19c7))





<a name="14.0.0"></a>
# [14.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.5.0...v14.0.0) (2018-12-07)


### Bug Fixes

* **AttemptHistory:** handle missing pointsPossible ([527b6ea](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/527b6ea))
* **building:** re-enable button if request fails ([df82a51](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/df82a51))
* **centile:** Make the labels match the calculations ([3e898e5](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3e898e5))
* **QuestionStem:** Excess contents now scroll ([2170397](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2170397))
* **styling:** remove normalize.css ([56c6f17](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/56c6f17))
* **TagSelect:** remove theme and empty stylesheet ([73a61a7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/73a61a7))


### Features

* **CalculatorOption:** Allow enabling a calculator on a question by question basis ([6b48949](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6b48949))
* **OqaatAlert:** Add OQAAT alert and checkbox to calculator per question ([a88f633](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a88f633))
* **results-display:** handle missing data in AttemptHistory table ([cf99eaa](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cf99eaa))
* **search:** allow search faceting by item type. ([1094959](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/1094959))
* **search:** tag filtering ([94112fd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/94112fd))
* **tagging:** display tags on bank entry edit ([78c43a5](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/78c43a5))


### BREAKING CHANGES

* **styling:** Consumer apps may be relying on global styles in
normalize.css. Check that everything still looks OK after pulling in
this change, and update stylesheets accordingly.

Closes QUIZ-5582

Test plan: check that everything still looks OK

Change-Id: I023c33cd98f0e9f9c90e6243eb33afd37c0db5e4
Reviewed-on: https://gerrit.instructure.com/171400
Tested-by: Jenkins
Reviewed-by: Jim Simon <jsimon@instructure.com>
QA-Review: Omar Khan <okhan@instructure.com>
Product-Review: Omar Khan <okhan@instructure.com>
Visual-Regression-Test: Omar Khan <okhan@instructure.com>





<a name="13.5.0"></a>
# [13.5.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.4.0...v13.5.0) (2018-11-08)


### Bug Fixes

* **Build:** move questions optimistically ([ab0d7e9](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ab0d7e9))
* **grading:** update points/fudge points on change ([dddc52c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dddc52c))
* **styling:** override normalize.css button style ([5e64ae0](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5e64ae0)), closes [/github.com/necolas/normalize.css/blob/4.2.0/normalize.css#L302-L307](https://gerrit.instructure.com/quizzes-ui/issues/L302-L307)


### Features

* **tagging:** display tags on bank entry details ([aac192b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/aac192b))





<a name="13.4.0"></a>
# [13.4.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.3.1...v13.4.0) (2018-10-26)


### Bug Fixes

* **CentileDistribution:** Fix style references and inherited style usage ([637bf6c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/637bf6c))
* **sidebar:** auto-hide the sidebar on mobile when anything is clicked ([f59c07d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f59c07d))
* **sidebar:** Fix sidebar wrapping ([ebcb4be](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ebcb4be))





<a name="13.3.1"></a>
## [13.3.1](https://gerrit.instructure.com/quizzes-ui/compare/v13.3.0...v13.3.1) (2018-10-19)


### Bug Fixes

* **babelrc:** backport new babel preset ordering ([8f10e01](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8f10e01))





<a name="13.3.0"></a>
# [13.3.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.2.0...v13.3.0) (2018-10-15)


### Bug Fixes

* **a11y:** prevent KO focus on item divs ([a6a64b1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a6a64b1))
* **ActionButtons:** remove unnecesary margin ([5b5fd01](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5b5fd01))
* **BankEntryRow:** button styling and titles ([35f62c1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/35f62c1))
* **banks:** show all banks when adding item ([d1b30c2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d1b30c2))
* **Calculator:** Accept correct JSON encoded learnosity_authentication response ([c8bf830](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/c8bf830))
* **grading:** show 0 as appropriate when grading ([3690b0b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3690b0b))
* **icons:** use drag handle icon ([b174d0f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b174d0f))
* **ItemBankSharing:** dismiss no permission dialog on document click ([89e2817](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/89e2817))
* **ItemBankSharing:** show pills after selection is made ([5059494](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/5059494))
* **katex:** make import work ([46ea328](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/46ea328))
* **latex:** Use the richcontentrender in quiz-react-sdk ([794858b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/794858b))
* **mathquill:** Fix mathquill toolbar ([cdef78e](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cdef78e))
* **NavWrapper:** vertical alignment ([7948df8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/7948df8))
* **sidebar:** allow double digit numbers to show always ([8f5ed30](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8f5ed30))
* **sidebar:** styling ([60fc15d](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/60fc15d))
* **Sidebar:** add padding to stimulus button ([63ee4ed](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/63ee4ed))
* **Sidebar:** Improve sidebar rendering performance on Build ([d6eecbe](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d6eecbe))
* **Taking:** Close submit confirmation window if it's open when time expires ([0a6ee1f](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0a6ee1f))


### Features

* **CentileDistribution,QuintileDistribution,Distribution:** Add hidden data table for a11y ([b3502bd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b3502bd))
* **quiz-scripts:** Create a dumb package to share scripts ([233d43c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/233d43c))
* **validation:** move into quiz-interactions ([18520e4](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/18520e4))





<a name="13.2.0"></a>
# [13.2.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.1.0...v13.2.0) (2018-09-13)


### Bug Fixes

* **a11y:** Clicking into an Attempt should put the screenreader focus at the top of the page ([f405972](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f405972))
* **BankSharing:** remove toggle SR text changes correctly ([4556026](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4556026))
* **BankSharing:** Select pill tells SR that they delete ([e9a7473](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e9a7473))
* **ConfirmationModal:** missing screenreader text ([9ca70c1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9ca70c1))
* **hotspot:** prevent double scrollbar with hotspot in gauge ([12f0654](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/12f0654))
* **i18n:** translate untranslated strings ([0f3c1cd](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0f3c1cd))
* **mathquill:** Center buttons; render with katex ([426a5cf](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/426a5cf))
* **Show:** fix styling on show page ([dc251a7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dc251a7))
* **sidebar:** use correct proptype ([d458725](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d458725))
* **stimulus:** make banked stimulus non-editable ([fc32a43](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/fc32a43))
* **timer:** allow maximum value ([4f07997](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4f07997))


### Features

* **Calculator:** Add calculator component using Learnosity API ([e8979e7](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e8979e7))
* **interactions:** enableRichContentEditor prop ([ffb024c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ffb024c))
* **ModerateTable:** add prop to conditionally render moderate button ([8fca21a](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8fca21a))
* **outcomes:** bump outcomes-react to 4.3.0 ([be10176](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/be10176))
* **Results:** Hide score related data when their values are not present ([dcb12c3](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/dcb12c3))





<a name="13.1.0"></a>
# [13.1.0](https://gerrit.instructure.com/quizzes-ui/compare/v13.0.0...v13.1.0) (2018-08-31)


### Bug Fixes

* **banks:** allow sharing modal to load twice in a row ([a9f33a5](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a9f33a5))
* **Distribution:** increase contrast on bars, remove curve ([2f96de2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2f96de2))
* **Distribution:** Use `percent` style for Distribution summary text ([0f60b1a](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0f60b1a))
* **Sidebar:** cleanup, add missing icons ([9930e20](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9930e20))
* **Stimulus:** Editing a stimulus title should update the sidebar ([3e00708](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3e00708))
* **tests:** enable some incorrectly placed tests ([4531d14](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/4531d14))
* **versioning:** Use exact versions for internal packages ([b142eca](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b142eca))


### Features

* **DnD:** disable drag and drop of items being edited ([9c03aa9](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/9c03aa9))
* **outcomes:** bump outcomes-react to 4.2.0 ([94a8a67](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/94a8a67))
* **reopen:** Add reopening button to moderation panel ([cdd7c94](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cdd7c94))
* **reopen:** Add reopening button to moderation panel ([6da5574](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/6da5574))





<a name="13.0.0"></a>
# [13.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v12.0.0...v13.0.0) (2018-08-09)


### Bug Fixes

* **fitb:** dropdowns appear in front of add content button ([a01bc17](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a01bc17))
* **i18n:** default UTC timezone for feature-deprived browsers ([d0f2caa](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d0f2caa))
* **title:** remove fixed height from quiz title ([d8602a2](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d8602a2))


### Features

* **banks:** improve UX around no-permission for shared banks ([46812ef](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/46812ef))
* **moderation:** Add sidebar panel to SDK ([ebd7fdc](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ebd7fdc))
* **reopen:** Add reopening button to moderation panel ([cdd7c94](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/cdd7c94))


### BREAKING CHANGES

* **moderation:** LTI needs to update interface with moderation tray

Change-Id: I76a4da4a51f1bcc6770cebd21c0e982297b73ce3
Reviewed-on: https://gerrit.instructure.com/158402
Tested-by: Jenkins
Reviewed-by: Ben Weinshel <bweinshel@instructure.com>
QA-Review: Nathan Gbedemah <ngbedemah@instructure.com>
Product-Review: Kevin Dougherty <jdougherty@instructure.com>





<a name="12.0.0"></a>
# [12.0.0](https://gerrit.instructure.com/quizzes-ui/compare/v11.4.2...v12.0.0) (2018-07-18)


### Bug Fixes

* **a11y:** SR loses focus when cancelling "Add to Bank" modal ([eca4128](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/eca4128))
* **build:** focus is lost when editing banked question in quiz ([04dac45](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/04dac45))
* **GradingBar:** use plural translation for points ([8f483b1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/8f483b1))
* **i18n:** localize numeric and formula values ([26222a8](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/26222a8))
* **i18n/a11y:** fix SR text for quiz entry action buttons ([0e8775c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/0e8775c))


### Code Refactoring

* **quiz-react-sdk:** Rename lib to util ([f4a0b00](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/f4a0b00))


### Features

* **BankEntry:** display alert on edit ([71d1885](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/71d1885))
* **Take:** always show confirm modal on submit ([d94c45b](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/d94c45b))


### BREAKING CHANGES

* **quiz-react-sdk:** Any references to common/lib must be changed to
common/util

Change-Id: I613c744f6e61e961b4ae080e8a45b21596328358
Reviewed-on: https://gerrit.instructure.com/156973
Reviewed-by: Aaron Griffin <agriffin@instructure.com>
Tested-by: Jenkins
QA-Review: Omar Khan <okhan@instructure.com>
Product-Review: Omar Khan <okhan@instructure.com>





<a name="11.4.2"></a>
# 11.4.2 (2018-07-05)

### Bug Fixes

* **focus**: fix initial focus and when adding from bank
* **a11y**: fix SR message for quiz submission
* **i18n**: correctly i18n plural strings

<a name="11.4.1"></a>
# 11.4.1 (2018-06-27)

### Bug Fixes

* **Page**: scroll page content
* **makeScrollable**: don't focus on update

<a name="11.4.0"></a>
# 11.4.0 (2018-06-25)

### Bug Fixes

* **a11y**: Clicking Done or Cancel buttons after editing question or stimulus lost focus fixes QUIZ-4582, QUIZ-4262
* **i18n**: NumberInput
* **i18n**: translate scoreToKeep string for Mult Attempts
* **Build**: check to load questions independently from quiz
* **take**: Questions are wrongly given focus
* **build**: Refactor AddContentPopover to be a modal on mobile
* **styling**: Stimulus session item result should not overflow
* **moderate**: allow included media to be exapanded in firefox
* **a11y**: prevent VO from escaping kebab menu
* **Page**: remove height and overflow css
* **Modal**: use modal from instructure-ui 5
* **BanksTray**: use Tray from instructure-ui 5
* **a11y**: focus drag handle after question move in all cases
* **settings**: make capitalization consistent
* **i18n**: numeric edit precise response UX
* **i18n**: numeric show

### Features

* **Legend**: add row variant
* **settings**: Add quiz level calculator component to quiz settings
* **I18n**: allow for run time localization via context
* **banks**: change sharing access to removed_access
* **release:** bump quiz-interactions to v7.5.2

<a name="11.3.0"></a>
# 11.3.0 (2018-06-04)

### Bug Fixes

* **shellcheck:** Fix error on no sh scripts
* **a11y:** selecting navigation with SR does nothing
* **banks:** do not disable done button when adding existing item to bank
* **i18n:** update translations
* **stimulus:** dropdowns are visible in stimuli for OQAAT
* **selenium:** fix selenium docker hub
* **Sidebar:** replace default focus indication
* **a11y:** focus when sidebar item selected
* **stimulus:** stimulus questions in MS Edge scroll correctly
* **banks:** banks nav fixed at top
* **PropTypes:** Clean up some console warnings
* **a11y:** VO correctly navigates moderate table name column
* **a11y:** make student name row header in moderate table

### Features

* **release:** quiz-react-sdk v11.3.0
* **release:** quiz-interactions v7.4.0
* **linting:** Resetup developer-side linting
* **Fetcher:** Deprecate reliance on isomorphic-fetch
* **instructure-ui:** Upgrade everything but ui-presets to v5
* **banks:** Display share bank count in banks list

<a name="11.2.1"></a>
# 11.2.1 (2018-05-29)

### Features
chore(quizInteractions): bump interactions to 7.3.0

<a name="11.2.0"></a>
# 11.2.0 (2018-05-18)

### Bug Fixes

* **a11y:** make dynamic settings content use aria-live
* **banks:** filter out current user from autocomplete
* **dnd:** make dnd in the sidebar usable again
* **banks:** make item bank sharing usable in the docsapp
* **timer:** timer settings do not call api if invalid
* **fileUpload:** fix file preview
* **stimulus:** add missing quizId to stimulus create
* **i18n:** interaction validation messages fully translated update translations
* **fileUpload:** properly size tall images
* **i18n:** translate True and False
* **formula:** clicking outside edited formula Show should work
* **build:** prevent double create via banks
* **Instructions:** image clearfix
* **sidebar:** Stimulus title in sidebar matches background color
* **grading:** prevent update if no changes
* **a11y:** keep focus in banks tray when deleting a bank
* **bank:** prevent whitespace bank name

### Features

* **banks:** Populate Bank Sharing modal


<a name="11.1.0"></a>
# 11.1.0 (2018-05-03)

Updates quiz-interactions to v7.2.0.

### Bug Fixes

* **sidebar:** banks in sidebar display correctly
* **banks:** maintain focus when adding bank to quiz
* **grading:** header styles for ms edge
* **build:** hide "Edit Item:" text when editing questions
* **build:** prevent double question create
* **stimulus:** prevent double creation on double click
* **dependencies:** Missing stylelint-suitcss dep
* **regrade:** correct regrading with banked questions
* **multAtt:** do not show multAtt messaging when not enabled
* **outcomes:** fix outcomes configuration
* **typo:** typo fix in the rce upload modal
* **test:** fix due date test to be consistent
* **QuizEntryEdit:** enable points change and save


### Features

* **banks:** added share bank feature
* **outcomes:** 4.1.0
* **rce:** add ability to upload video/audio

<a name="11.0.2"></a>
# 11.0.2 (2018-05-01)

### Bug Fixes

* **Sidebar**: z-index ([a107df36](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/a107df36))


<a name="11.0.1"></a>
# 11.0.1

*Bad release, please use v11.0.2 instead*


<a name="11.0.0"></a>
# [11.0.0](https://gerrit.instructure.com/quiz_web/compare/v10.3.0...v11.0.0) (2018-04-05)

Updates quiz-interactions to v7.1.1.

### Bug Fixes

* **grading:** correctly update manually graded questions ([2ed17fab](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/2ed17fab))
* **banks:** do not show add button on manage banks page ([90b31154](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/90b31154))
* **fonts:** fix fonts ([416754bc](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/416754bc))
* **styling:** fix MS Edge stimulus item overflow ([e76485c0](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e76485c0))
* **performance:** Speed up arrow buttons on regrading in Firefox ([884b85b4](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/884b85b4))
* **tests:** retry failing nightwatch tests ([3687920c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/3687920c))
* **dependencies:** duplicate react too ([e47a7819](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/e47a7819))
* **dependencies:** Fix some duplicate dependencies ([ac8dc855](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/ac8dc855))
* **sdk:** Assign correct public name for webpack ([49f7d179](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/49f7d179))


### Features

* **reporting:** add "your score" feature to centile distribution ([128ca149](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/128ca149))
* **Banks:** accept functions and FF from consumer for itemBankSharing ([734e2c3c](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/734e2c3c))


### BREAKING CHANGES

* **SDKApp:** Pass sidebar props directly to pages ([b8d8e3d1](https://gerrit.instructure.com/plugins/gitiles/quizzes-ui/+/b8d8e3d1))

  This commit splits the sidebar and main content rendering logic out of
  SDKApp into a separate Page component, which is then used by each page
  (Build, Take, Show, etc.).

  Each page is responsible for passing its own sidebar component to Page,
  if necessary. This removes the need for consumers to keep track of which
  sidebar to use, and when. SDKApp's `app` prop is no longer necessary and
  has been removed.

  BREAKING CHANGE: sidebar props (sidebarOpen, toggleSidebar) must now be
  passed to each page (Build, Take, etc.) component directly instead of to
  SDKApp. The closeSidebar prop has been removed.

  Consumers no longer need to handle sidebar state if they don't want to:
  if the sidebar props (sidebarOpen, toggleSidebar) are omitted,
  quiz-react-sdk components will take care of sidebar state themselves.



<a name="10.3.0"></a>
# [10.3.0](https://gerrit.instructure.com/quiz_web/compare/v10.0.0...v10.3.0) (2018-03-26)


### Bug Fixes

* **banks:** add new item for banks IE11 display bug ([0f19afa](https://gerrit.instructure.com/quiz_web/commits/0f19afa))
* **Banks:** consistent nav spacing ([ef9cf18](https://gerrit.instructure.com/quiz_web/commits/ef9cf18))
* **Build:** vpba correctly updates when 0 ([89a0bac](https://gerrit.instructure.com/quiz_web/commits/89a0bac))
* **Grading:** result info matches designs ([9c807e3](https://gerrit.instructure.com/quiz_web/commits/9c807e3))
* **Headers:** fix text and padding on Build / Settings pages ([8d3d717](https://gerrit.instructure.com/quiz_web/commits/8d3d717))
* **integration:** disable database environment check ([52896d4](https://gerrit.instructure.com/quiz_web/commits/52896d4))
* **ItemEdit:** add some missing params ([88945c1](https://gerrit.instructure.com/quiz_web/commits/88945c1))
* **Moderation:** remove extra scrollbar on moderation log ([d1b2364](https://gerrit.instructure.com/quiz_web/commits/d1b2364))
* **SDKApp:** pass roles for sidebar and content ([b991300](https://gerrit.instructure.com/quiz_web/commits/b991300))
* **sidebar:** allow reordering in sidebar on mobile ([ab39e32](https://gerrit.instructure.com/quiz_web/commits/ab39e32))
* **tests:** add linux external links for integration tests ([64f8884](https://gerrit.instructure.com/quiz_web/commits/64f8884))


### Features

* **Banks:** SharingModal for bank sharing ([1a16f4e](https://gerrit.instructure.com/quiz_web/commits/1a16f4e))



<a name="10.2.0"></a>
# [10.2.0](https://gerrit.instructure.com/quiz_web/compare/v10.0.0...v10.2.0) (2018-03-14)


### Bug Fixes

* **Results:** MultAtt quiz does not throw error on Result page refresh ([1593e84](https://gerrit.instructure.com/quiz_web/commits/1593e84))


### Features

* **OutcomeAnalysis:** Allow users to hide rollups and override how users are loaded ([508ae9a](https://gerrit.instructure.com/quiz_web/commits/508ae9a))



<a name="10.1.0"></a>
# [10.1.0](https://gerrit.instructure.com/quiz_web/compare/v10.0.0...v10.1.0) (2018-03-12)


### Bug Fixes

* **alerts:** alerts fit on screen ([891b407](https://gerrit.instructure.com/quiz_web/commits/891b407))
* **Build:** limits content for items and stimuli ([37436a5](https://gerrit.instructure.com/quiz_web/commits/37436a5))
* **Grading:** allows multiple grading feedback rce edits simultaneously ([d5e556c](https://gerrit.instructure.com/quiz_web/commits/d5e556c))
* **makeEditable:** pass down initialFocusId ([cea3358](https://gerrit.instructure.com/quiz_web/commits/cea3358))
* **RCE:** youtube RCE flaky test ([434d2fb](https://gerrit.instructure.com/quiz_web/commits/434d2fb))
* **settings:** do not call api if timer setting is invalid ([2179230](https://gerrit.instructure.com/quiz_web/commits/2179230))
* **sidebar:** fix focus indication for sidebar items ([56be9f1](https://gerrit.instructure.com/quiz_web/commits/56be9f1))
* **sidebar:** fix horizontal scrollbar in sidebar ([8e5be53](https://gerrit.instructure.com/quiz_web/commits/8e5be53))
* **sidebar:** fix sidebar border making height > 100% ([8974e4c](https://gerrit.instructure.com/quiz_web/commits/8974e4c))
* **Take:** fix submit via header button ([83e1bd3](https://gerrit.instructure.com/quiz_web/commits/83e1bd3))
* **Take:** handle quizzes with quiz_entries, but no questions ([8a54712](https://gerrit.instructure.com/quiz_web/commits/8a54712))
* **Taking:** handle double submission better ([3ac4b08](https://gerrit.instructure.com/quiz_web/commits/3ac4b08))


### Features

* **Build:** add onQuizUpdated callback ([d85e7f8](https://gerrit.instructure.com/quiz_web/commits/d85e7f8))
* **outcomes:** bump outcomes-react-sdk to 4.0.4 ([0b902ff](https://gerrit.instructure.com/quiz_web/commits/0b902ff))



<a name="10.0.0"></a>
# [10.0.0](https://gerrit.instructure.com/quiz_web/compare/v9.0.0...v10.0.0) (2018-02-16)


### Bug Fixes

* **a11y:** add screenreader text for spinners ([6084ef0](https://gerrit.instructure.com/quiz_web/commits/6084ef0))
* **ActionButtons:** Fix vertically misaligned icons ([881ab70](https://gerrit.instructure.com/quiz_web/commits/881ab70))
* **AddContentPopover:** wrap interaction name ([28dc861](https://gerrit.instructure.com/quiz_web/commits/28dc861))
* **attemptHistory:** change props controlling AttemptHistory open state ([ac7baad](https://gerrit.instructure.com/quiz_web/commits/ac7baad))
* **bank:** copy/move/delete bank entries ([02524db](https://gerrit.instructure.com/quiz_web/commits/02524db))
* **Banks:** allows editing of bankEntry titles ([c7000d9](https://gerrit.instructure.com/quiz_web/commits/c7000d9))
* **Banks:** Errors on Build for a deleted bank ([0d4159e](https://gerrit.instructure.com/quiz_web/commits/0d4159e))
* **Banks:** fixes deleting stimuli from banks ([d62a9d4](https://gerrit.instructure.com/quiz_web/commits/d62a9d4))
* **Banks:** fixes Manage Banks page styles ([3c6b956](https://gerrit.instructure.com/quiz_web/commits/3c6b956))
* **Banks:** long bankEntry stem renders correctly ([ead5e35](https://gerrit.instructure.com/quiz_web/commits/ead5e35))
* **docsapp:** allow frontend to access fake s3 ([6eda485](https://gerrit.instructure.com/quiz_web/commits/6eda485))
* **grading:** allows regrading of all questions in stimulus ([3a17ad1](https://gerrit.instructure.com/quiz_web/commits/3a17ad1))
* **Hotspot:** toggling sidebar correctly resizes hotspot ([9d6586a](https://gerrit.instructure.com/quiz_web/commits/9d6586a))
* **ItemAnalysis:** Media should not overlap stats ([0f9ffb4](https://gerrit.instructure.com/quiz_web/commits/0f9ffb4))
* **logging:** remove console.log from build page component ([cab458b](https://gerrit.instructure.com/quiz_web/commits/cab458b))
* **regrading:** show the current answer when regrading ([784971f](https://gerrit.instructure.com/quiz_web/commits/784971f))
* **Regrading:** subsequent regrades keep previously set points ([81c9dc1](https://gerrit.instructure.com/quiz_web/commits/81c9dc1))
* **reporting:** ItemAnalysisRow announces state ([ac3fb4d](https://gerrit.instructure.com/quiz_web/commits/ac3fb4d))
* **Show:** don't show button with zero questions ([5f779f7](https://gerrit.instructure.com/quiz_web/commits/5f779f7))
* **sidebar:** SR reads info for quiz title ([e747b76](https://gerrit.instructure.com/quiz_web/commits/e747b76))
* **Sidebar:** pinned section correctly expands ([68bde50](https://gerrit.instructure.com/quiz_web/commits/68bde50))
* **Sidebar:** single question bank display positions render correctly ([396bffa](https://gerrit.instructure.com/quiz_web/commits/396bffa))
* **Stimulus:** regrading numeric in stimulus no longer overflows ([14db575](https://gerrit.instructure.com/quiz_web/commits/14db575))
* **Take:** handle new quiz session states ([e615e60](https://gerrit.instructure.com/quiz_web/commits/e615e60))
* **Take:** handle quizzes with no questions better ([a9e32ee](https://gerrit.instructure.com/quiz_web/commits/a9e32ee))
* **taking:** Add 'Instructions' link to sidebar ([a44a84d](https://gerrit.instructure.com/quiz_web/commits/a44a84d))
* **test:** Grading page integration test flakiness ([3dc84f7](https://gerrit.instructure.com/quiz_web/commits/3dc84f7))


### Features

* **Banks:** can create bank from addToBank or Move/Copy bankEntry modals ([0f55347](https://gerrit.instructure.com/quiz_web/commits/0f55347))
* **outcomes:** bump outcomes-react-sdk to 4.0.3 ([f384cfd](https://gerrit.instructure.com/quiz_web/commits/f384cfd))
* **Take:** error state to take page ([8fb18ff](https://gerrit.instructure.com/quiz_web/commits/8fb18ff))

<a name="9.0.0"></a>
# [9.0.0](https://gerrit.instructure.com/quiz_web/compare/v8.0.1...v9.0.0) (2018-01-22)


### Bug Fixes

* **Banks:** clears activeBank on bank deletion ([64dcc0f](https://gerrit.instructure.com/quiz_web/commits/64dcc0f))
* **Build:** Fix incorrect error message behavior on Build ([5d1b526](https://gerrit.instructure.com/quiz_web/commits/5d1b526))
* **Building:** Fix temporary item save when clicking "Settings" button ([80ac5de](https://gerrit.instructure.com/quiz_web/commits/80ac5de))
* **dev-setup:** use docker-compose up in seed scripts ([0639f10](https://gerrit.instructure.com/quiz_web/commits/0639f10))
* **grading:** manual grading in stimuli correctly updates color ([a27340a](https://gerrit.instructure.com/quiz_web/commits/a27340a))
* **itemFeedback:** disabled closeOnOverlayClick for itemFeedbackModal ([6a4ff43](https://gerrit.instructure.com/quiz_web/commits/6a4ff43))
* **performance:** Improve drag and drop performance on large quizzes ([e5ba341](https://gerrit.instructure.com/quiz_web/commits/e5ba341))
* **performance:** Improve performance for editing title/instructions ([ffa1c1e](https://gerrit.instructure.com/quiz_web/commits/ffa1c1e))
* **QuizEntry:** focus indication from sidebar click ([ac016af](https://gerrit.instructure.com/quiz_web/commits/ac016af))
* **Results:** fixes overlaping words for any language ([c5db29f](https://gerrit.instructure.com/quiz_web/commits/c5db29f))
* **sidebar:** render bank numbers in sidebar vertically ([d9149b1](https://gerrit.instructure.com/quiz_web/commits/d9149b1))
* **sidebar:** shows sidebar questions in ie11 ([a9ae1e5](https://gerrit.instructure.com/quiz_web/commits/a9ae1e5))
* **sidebar:** single click always opens mobile sidebar ([9ae8252](https://gerrit.instructure.com/quiz_web/commits/9ae8252))
* **stimulus:** fix flaky delete stimulus test ([b635649](https://gerrit.instructure.com/quiz_web/commits/b635649))
* **stimulus:** fix temporary stimulus edit on IE11 ([a41f9ec](https://gerrit.instructure.com/quiz_web/commits/a41f9ec))


### Chores

* **inst-ui:** Upgrade to inst-ui 4.6.0 and interactions 6.0.1 ([3ae4d23](https://gerrit.instructure.com/quiz_web/commits/3ae4d23))


### Features

* **banks:** adds functionality for deleting a bank ([c155590](https://gerrit.instructure.com/quiz_web/commits/c155590))
* **moderation:** add TimerSettings ([4a33553](https://gerrit.instructure.com/quiz_web/commits/4a33553))
* **outcomes:** bump outcomes to 4.0.2 ([17bd9e3](https://gerrit.instructure.com/quiz_web/commits/17bd9e3))
* **Outcomes:** add outcomes to demo app ([096d121](https://gerrit.instructure.com/quiz_web/commits/096d121))
* **TimeRecording:** Shown time spent greater than reality ([d579acb](https://gerrit.instructure.com/quiz_web/commits/d579acb))


### BREAKING CHANGES

* **inst-ui:** Incompatibility may result due to inst-ui upgrade

Test Plan:
 1. Pull down the latest version of the patch
 2. docker-compose run --rm web yarn install --pure-lockfile
 3. Verify everything still works in the docs app
 4. Do any other super ninja QA regression testing things as normal

Change-Id: I2451b06f4af65afb77fa5fe914d7d9fb462d0684
Reviewed-on: https://gerrit.instructure.com/133558
Reviewed-by: Omar Khan <okhan@instructure.com>
Tested-by: Jenkins
QA-Review: Robin Kuss <rkuss@instructure.com>
QA-Review: Michael Hargiss <mhargiss@instructure.com>
Product-Review: Jim Simon <jsimon@instructure.com>



<a name="8.0.1"></a>
## [8.0.1](https://gerrit.instructure.com/quiz_web/compare/v8.0.0...v8.0.1) (2018-01-09)


### Bug Fixes

* **Banks:** fixes navigating around the banks tray ([b09ebdb](https://gerrit.instructure.com/quiz_web/commits/b09ebdb))
* **RCE:** adding/removing media ([ffabffb](https://gerrit.instructure.com/quiz_web/commits/ffabffb))
* **Sidebar:** allow full vertical scrolling for phone sidebar ([fb03400](https://gerrit.instructure.com/quiz_web/commits/fb03400))
* **StimulusBanking:** temporary items can be banked ([2f9ffdc](https://gerrit.instructure.com/quiz_web/commits/2f9ffdc))



<a name="8.0.0"></a>
# [8.0.0](https://gerrit.instructure.com/quiz_web/compare/v7.1.0...v8.0.0) (2018-01-05)


### Bug Fixes

* **AttemptHistory:** bold shows selected attempt, tag shows score to keep ([01f0a99](https://gerrit.instructure.com/quiz_web/commits/01f0a99))
* **Build:** Save on click outside for Gauge ([23eaa98](https://gerrit.instructure.com/quiz_web/commits/23eaa98))
* **coverage:** don't instrument test.js files ([593d895](https://gerrit.instructure.com/quiz_web/commits/593d895))
* **DnD:** Allow temporary quiz entries to be draggable ([c6d4373](https://gerrit.instructure.com/quiz_web/commits/c6d4373))
* **DnD:** allows dragging between two stimuli on the right side ([9306559](https://gerrit.instructure.com/quiz_web/commits/9306559))
* **DnD:** prevent moving stimuls into itself or to same position ([ffc1509](https://gerrit.instructure.com/quiz_web/commits/ffc1509))
* **DnD:** prevents DnD of stimulus into other stimuli in sidebar ([827e733](https://gerrit.instructure.com/quiz_web/commits/827e733))
* **IpFiltering:** cap ip parts at 255 ([915a067](https://gerrit.instructure.com/quiz_web/commits/915a067))
* **Outcomes:** ensure banks use nil context ([457ddda](https://gerrit.instructure.com/quiz_web/commits/457ddda))
* **Outcomes:** Fix layout of outcomes edit panel ([b8647c6](https://gerrit.instructure.com/quiz_web/commits/b8647c6))
* **performance:** Improve performance of editing a quiz title ([19b37c1](https://gerrit.instructure.com/quiz_web/commits/19b37c1))
* **pre-push:** run eslint in docker container ([c2855b1](https://gerrit.instructure.com/quiz_web/commits/c2855b1))
* **QuizEntryEditFooter:** points change handling ([c5ab65c](https://gerrit.instructure.com/quiz_web/commits/c5ab65c))
* **RCE:** color and size text test ([16be670](https://gerrit.instructure.com/quiz_web/commits/16be670))
* **Regrading:** Allow regrading stimulus questions ([a696e3f](https://gerrit.instructure.com/quiz_web/commits/a696e3f))
* **stimulus:** correct display positions when bank in stimulus ([ee91095](https://gerrit.instructure.com/quiz_web/commits/ee91095))
* **stimulus:** remove stimulus with question ([99983e0](https://gerrit.instructure.com/quiz_web/commits/99983e0))
* **Taking:** fix kinesis credential refresh ([f1a9cd7](https://gerrit.instructure.com/quiz_web/commits/f1a9cd7))
* **test:** Grading page integration test fix ([237c52e](https://gerrit.instructure.com/quiz_web/commits/237c52e))
* **tests:** Flaky banks page integration test ([0a3537b](https://gerrit.instructure.com/quiz_web/commits/0a3537b))
* **tests:** new keyboard nav for FITB ([1016385](https://gerrit.instructure.com/quiz_web/commits/1016385))
* **timer:** Don't hit timer endpoint on Take page when quiz is untimed ([e5407d1](https://gerrit.instructure.com/quiz_web/commits/e5407d1))


### Features

* **Banks:** return to Build button on manage banks pages ([32f82f5](https://gerrit.instructure.com/quiz_web/commits/32f82f5))
* **outcomes:** bump outcomes-react to 4.0.1 ([a4163cc](https://gerrit.instructure.com/quiz_web/commits/a4163cc))


### BREAKING CHANGES

* **Banks:** consumer is now responsible for providing a
`navigateToBanks` prop (function) to the SDK BuildingButtons component

Change-Id: I267e832dd8ce5d47a9647641d4221edca05fbade
Reviewed-on: https://gerrit.instructure.com/135746
Tested-by: Jenkins
Reviewed-by: Omar Khan <okhan@instructure.com>
QA-Review: Michael Hanks <mhanks-c@instructure.com>
Product-Review: Kevin Dougherty <jdougherty@instructure.com>



<a name="7.2.0"></a>
# [7.2.0](https://gerrit.instructure.com/quiz_web/compare/v7.1.0...v7.2.0) (2017-12-12)

### Reverts

* **SessionItems:** handle quizzes with no questions better ([c2708c3](https://gerrit.instructure.com/quiz_web/commits/c2708c3))

<a name="7.1.0"></a>
# [7.1.0](https://gerrit.instructure.com/quiz_web/compare/v7.0.6...v7.1.0) (2017-12-11)


### Bug Fixes

* **a11y:** handles focus on quizEntry deletion ([e24d636](https://gerrit.instructure.com/quiz_web/commits/e24d636))
* **CardWrapper:** apply box-sizing directly to CardWrapper ([56d85f8](https://gerrit.instructure.com/quiz_web/commits/56d85f8))
* **QuizEntryEditHeader:** css for ie11 ([2535a75](https://gerrit.instructure.com/quiz_web/commits/2535a75))
* **SessionItems:** handle quizzes with no questions better ([c2708c3](https://gerrit.instructure.com/quiz_web/commits/c2708c3))
* **Sidebar:** fix build sidebar scroll to instructions and title ([698c4f5](https://gerrit.instructure.com/quiz_web/commits/698c4f5))
* **Stimulus:** fixes stimulus validation ([4dcaed5](https://gerrit.instructure.com/quiz_web/commits/4dcaed5))
* **TakeButton:** disable button on submit ([fe76d02](https://gerrit.instructure.com/quiz_web/commits/fe76d02))
* **test:** Enable multiple answer integration tests ([49357a8](https://gerrit.instructure.com/quiz_web/commits/49357a8))


### Features

* **sessionLog:** Use records to render events ([98cf4bc](https://gerrit.instructure.com/quiz_web/commits/98cf4bc))
* **stimulus:** panels scroll on the build page ([83f5994](https://gerrit.instructure.com/quiz_web/commits/83f5994))



<a name="7.0.6"></a>
## [7.0.6](https://gerrit.instructure.com/quiz_web/compare/v7.0.4...v7.0.6) (2017-12-04)


### Bug Fixes

* **a11y:** editing a question puts VO focus in question title ([02a4883](https://gerrit.instructure.com/quiz_web/commits/02a4883))
* **a11y:** read regrade alert with question number ([214feb0](https://gerrit.instructure.com/quiz_web/commits/214feb0))
* **alerts:** fixes immutable error message ([a7a62dd](https://gerrit.instructure.com/quiz_web/commits/a7a62dd))
* **BanksList:** a11y VO: Banks do not read in the correct order ([0e83480](https://gerrit.instructure.com/quiz_web/commits/0e83480))
* **EditBank:** ScreenReader notification for name of edited bank ([4f7a124](https://gerrit.instructure.com/quiz_web/commits/4f7a124))
* **kinesisConfig:** Update global aws config with server time offset ([ef8c167](https://gerrit.instructure.com/quiz_web/commits/ef8c167))
* **makeScrollable:** Adding question from bank makes focus jump ([56fc0e5](https://gerrit.instructure.com/quiz_web/commits/56fc0e5))
* **ModerateTableRow:** moderation exludes attempts not started ([c4f36bc](https://gerrit.instructure.com/quiz_web/commits/c4f36bc))
* **reporting:** IE11 Quintile distribution is not sized correctly ([8d1e758](https://gerrit.instructure.com/quiz_web/commits/8d1e758))
* **test:** Fix build page title clearing and feedback click issues ([9180a3a](https://gerrit.instructure.com/quiz_web/commits/9180a3a))
* **test:** Fix grading page integration test failures ([7e33bc7](https://gerrit.instructure.com/quiz_web/commits/7e33bc7))
* **test:** Use assertion failure instead of exception ([540714d](https://gerrit.instructure.com/quiz_web/commits/540714d))



<a name="7.0.5"></a>
## [7.0.5](https://gerrit.instructure.com/quiz_web/compare/v7.0.4...v7.0.5) (2017-11-30)



<a name="7.0.4"></a>
## [7.0.4](https://gerrit.instructure.com/quiz_web/compare/v7.0.3...v7.0.4) (2017-11-27)


### Bug Fixes

* **BankEntryRow:** remove focus on BankEntryRow ([fa20cbf](https://gerrit.instructure.com/quiz_web/commits/fa20cbf))
* **build:** allows question titles to update ([78ab73a](https://gerrit.instructure.com/quiz_web/commits/78ab73a))
* **regrading:** display `regradeAdjustedPointsPossible` when regrading ([e76d7af](https://gerrit.instructure.com/quiz_web/commits/e76d7af))
* **stimulus:** always renders rce for banked stimuli ([fb98982](https://gerrit.instructure.com/quiz_web/commits/fb98982))
* **stimulus:** hides scrollbars when not needed ([d60eb32](https://gerrit.instructure.com/quiz_web/commits/d60eb32))
* **tests:** Build page integration tests wait for 10th question to load ([2308fa3](https://gerrit.instructure.com/quiz_web/commits/2308fa3))



<a name="7.0.1"></a>
## [7.0.1](https://gerrit.instructure.com/quiz_web/compare/v7.0.0...v7.0.1) (2017-11-16)


### Bug Fixes

* **sidebar:** Fix sidebar size for safari ([a51cb1f](https://gerrit.instructure.com/quiz_web/commits/a51cb1f))
* **stimulus:** correctly saves temporary stimulus ([3627f13](https://gerrit.instructure.com/quiz_web/commits/3627f13))


<a name="7.0.0"></a>
## [7.0.0](https://gerrit.instructure.com/quiz_web/compare/v6.1.2-3...v7.0.0) (2017-11-13)


### Bug Fixes

* **browser:** changed to a block element so it centers properly ([8767d6b](https://gerrit.instructure.com/quiz_web/commits/8767d6b))
* **editing:** fix pointsPossible update behavior ([65909b3](https://gerrit.instructure.com/quiz_web/commits/65909b3))
* **a11y:** Fix voiceover handling for Settings errors ([aeb9330](https://gerrit.instructure.com/quiz_web/commits/aeb9330))
* **building:** fixes some caching ([3bd52d5](https://gerrit.instructure.com/quiz_web/commits/3bd52d5))
* **RCE:** focuses rce when import image modal closes ([986aa10](https://gerrit.instructure.com/quiz_web/commits/986aa10))
* **sidebar:** scroll to pinned item from sidebar ([cbe7804](https://gerrit.instructure.com/quiz_web/commits/cbe7804))
* **eventLogging:** Add offset in case server and client time differ ([7daa18c](https://gerrit.instructure.com/quiz_web/commits/7daa18c))
* **stimulus:** shows validation errors correctly ([50a8281](https://gerrit.instructure.com/quiz_web/commits/50a8281))
* **browser:** adds spaces between csv list of regraded questions ([1fc4e80](https://gerrit.instructure.com/quiz_web/commits/1fc4e80))
* **performance:** More performance fixes on build page ([6993034](https://gerrit.instructure.com/quiz_web/commits/6993034))


### BREAKING CHANGES

* **i18n:** use same language codes as LTI launch

Includes corresponding changes in quiz-interactions v4.0.0

Test plan:

- Run `docker-compose run --web yarn build`
- Run `docker-compose run --web yarn build:i18n`
- Check out quiz_lti patch https://gerrit.instructure.com/132123
- In quiz_lti, run `docker-compose run --rm ui yarn add \
  canvas-rce@^2.6.0 instructure-ui@3.3.x instructure-validations@^2.0.0`
- Copy the compiled source in `lib/` into
  `quiz_lti/ui/node_modules/quiz-react-sdk/lib/`
- In quiz_lti's docker-compose.override.yml, add to the ui container:
  ```
  environment:
    BUILD_LOCALE: zh-Hant
  ```
- Spin up canvas, quiz_api and quiz_lti
- Open canvas, change user language to traditional Chinese (繁體中文)
- Create a new quiz or open an existing one
- Check that all strings are displayed in traditional Chinese

Change-Id: I74c60654028b5111f3d9d0973aec1194e5272ac5
Reviewed-on: https://gerrit.instructure.com/132146
Tested-by: Jenkins
Reviewed-by: Jeff Belser <jbelser@instructure.com>
Product-Review: Jeff Belser <jbelser@instructure.com>
QA-Review: Jeff Belser <jbelser@instructure.com>


<a name="6.1.2-3"></a>
## [6.1.2-3](https://gerrit.instructure.com/quiz_web/compare/v6.1.2-2...v6.1.2-3) (2017-11-07)


### Bug Fixes

* **stimulus:** allow `renderSessionItemResultWrapper` to be callback ([33889d4](https://gerrit.instructure.com/quiz_web/commits/33889d4))



<a name="6.1.2-2"></a>
## [6.1.2-2](https://gerrit.instructure.com/quiz_web/compare/v6.1.2...v6.1.2-2) (2017-11-03)


### Bug Fixes

* **outcomes:** QuizEntryEdit needs the isOccluded prop ([40f62bd](https://gerrit.instructure.com/quiz_web/commits/40f62bd))



<a name="6.1.2-1"></a>
## [6.1.2-1](https://gerrit.instructure.com/quiz_web/compare/v6.1.2...v6.1.2-1) (2017-11-01)


### Bug Fixes

* **stimulus:** Fix stimulus child entries positioning bug ([5c228c3](https://gerrit.instructure.com/quiz_web/commits/5c228c3))



<a name="6.1.2"></a>
## [6.1.2](https://gerrit.instructure.com/quiz_web/compare/v6.1.1...v6.1.2) (2017-10-31)


### Bug Fixes

* **scrolling:** Fix scrolling bug introduced by performance fixes ([9e53370](https://gerrit.instructure.com/quiz_web/commits/9e53370))



<a name="6.1.1"></a>
## [6.1.1](https://gerrit.instructure.com/quiz_web/compare/v6.1.0...v6.1.1) (2017-10-30)


### Bug Fixes

* **GradingHeader:** make score and points accessible ([673cfdd](https://gerrit.instructure.com/quiz_web/commits/673cfdd))
* **outcomeAlignment:** allow outcomes to align ([8e5310c](https://gerrit.instructure.com/quiz_web/commits/8e5310c))
* **performance:** Speed up performance of editing when there are many quiz entries ([10c3e2d](https://gerrit.instructure.com/quiz_web/commits/10c3e2d))



<a name="6.1.0"></a>
# [6.1.0](https://gerrit.instructure.com/quiz_web/compare/v6.0.2...v6.1.0) (2017-10-27)


### Bug Fixes

* **banking:** update Bank entryCount when moving entries ([b12705a](https://gerrit.instructure.com/quiz_web/commits/b12705a))
* **Build:** allows editing items after adding formula item and refresh ([616df7a](https://gerrit.instructure.com/quiz_web/commits/616df7a))
* **Building:** allows creating while editing valid temp item ([24cc95e](https://gerrit.instructure.com/quiz_web/commits/24cc95e))
* **IE11:** Fix overflow styling to remove unnecessary scroll bars ([492ed04](https://gerrit.instructure.com/quiz_web/commits/492ed04))
* **integration:** bump timeouts to 30s and 5s ([ca950fb](https://gerrit.instructure.com/quiz_web/commits/ca950fb))
* **oqaat:** don't dispatch undefined ([df316aa](https://gerrit.instructure.com/quiz_web/commits/df316aa))
* **outcomes:** change imports to support i18n ([4680776](https://gerrit.instructure.com/quiz_web/commits/4680776))
* **regrade:** Fix Regrade Cancel Focus Issue ([992e8e7](https://gerrit.instructure.com/quiz_web/commits/992e8e7))


### Features

* **moderationEvents:** Use Interaction Records to Format Events ([02f2dd8](https://gerrit.instructure.com/quiz_web/commits/02f2dd8))



<a name="6.0.2"></a>
## [6.0.2](https://gerrit.instructure.com/quiz_web/compare/v6.0.1...v6.0.2) (2017-10-16)


### Bug Fixes

* **Build:** don't disrupt contrast on hover ([77a3efa](https://gerrit.instructure.com/quiz_web/commits/77a3efa))
* **Build:** save quiz instructions on blur ([8e2e42e](https://gerrit.instructure.com/quiz_web/commits/8e2e42e))
* **IE11:** convert more immutable lists to arrays ([10abc9d](https://gerrit.instructure.com/quiz_web/commits/10abc9d))
* **QuizENtryEdit:** save quiz entry when clicked outside ([392bc90](https://gerrit.instructure.com/quiz_web/commits/392bc90))
* **taking:** show Qs in submit conf for which user removed answer ([2c67e15](https://gerrit.instructure.com/quiz_web/commits/2c67e15))
* **regrading:** Fix a11y regrade focus bug ([f0cd6c39](https://gerrit.instructure.com/quiz_web/commits/f0cd6c39))
* **bankEntry:** Fix BankEntry done editing ([9daee7b3](https://gerrit.instructure.com/quiz_web/commits/9daee7b3))
* **IE11:** convert immutable lists to arrays ([639cde34](https://gerrit.instructure.com/quiz_web/commits/639cde34))
* **Grading:** alert user on grade update ([73ad6a65](https://gerrit.instructure.com/quiz_web/commits/73ad6a65))
* **code:** Add docsapp Functionality ([4c5ffb7e](https://gerrit.instructure.com/quiz_web/commits/4c5ffb7e))
* **RCE:** Add openImportModal to TakeItem ([bdad6894](https://gerrit.instructure.com/quiz_web/commits/bdad6894))
* **GradingHeader:** Use h1 for Results header ([8ff44c20](https://gerrit.instructure.com/quiz_web/commits/8ff44c20))
* **IpFiltering:** incomplete range should not validate ([b62dbfe5](https://gerrit.instructure.com/quiz_web/commits/b62dbfe5))
* **addContent:** prevents adding an item if validation errors visible ([46eb39af](https://gerrit.instructure.com/quiz_web/commits/46eb39af))
* **config:** fix Kinesis endpoint setting ([56524afe](https://gerrit.instructure.com/quiz_web/commits/56524afe))

### Features
* **testing:** grading page integration tests ([14555a14](https://gerrit.instructure.com/quiz_web/commits/14555a14))

<a name="6.0.1"></a>
## [6.0.1](https://gerrit.instructure.com/quiz_web/compare/v6.1.0...v6.0.1) (2017-10-13)

## NOTE: 6.0.1 was an empty release.

<a name="6.0.0"></a>
# [6.0.0](https://gerrit.instructure.com/quiz_web/compare/v5.1.0...v6.0.0) (2017-10-06)


### Bug Fixes

* **a11y:** Fix a11y concerns for Take ([c88239a](https://gerrit.instructure.com/quiz_web/commits/c88239a))
* **a11y:** overrides default browser focus style for add content button ([df1e48e](https://gerrit.instructure.com/quiz_web/commits/df1e48e))
* **a11y:** overrides default browser focus styles for edit icons ([19afffc](https://gerrit.instructure.com/quiz_web/commits/19afffc))
* **a11y:** removes tab focus from title and instructions ([73fbc70](https://gerrit.instructure.com/quiz_web/commits/73fbc70))
* **addContentPopover:** hides addContentPopover correctly in windows browsers ([fe7962d](https://gerrit.instructure.com/quiz_web/commits/fe7962d))
* **Bank:** focus is lost when navigating bank tray ([531b35e](https://gerrit.instructure.com/quiz_web/commits/531b35e))
* **BankEntry:** error to create a hotspot question on the banks page ([23cb66e](https://gerrit.instructure.com/quiz_web/commits/23cb66e))
* **browser:** strip html tags on choices in stats ([fb9624b](https://gerrit.instructure.com/quiz_web/commits/fb9624b))
* **buildPage:** Fix Build Page Subheading Spacing ([8a7fcd0](https://gerrit.instructure.com/quiz_web/commits/8a7fcd0))
* **coverage:** Make coverage work again ([2e7b145](https://gerrit.instructure.com/quiz_web/commits/2e7b145))
* **distributionChartStyle:** Fix centile distribution chart size ([71765ba](https://gerrit.instructure.com/quiz_web/commits/71765ba))
* **entrySave:** Validation Errors now read the position of the item in S ([22a5b66](https://gerrit.instructure.com/quiz_web/commits/22a5b66))
* **formula:** fixes formula sidebar on take ([41205e7](https://gerrit.instructure.com/quiz_web/commits/41205e7))
* **postcss:** Upgrade quiz-presets to remove stylelint errors ([ab57497](https://gerrit.instructure.com/quiz_web/commits/ab57497))
* **QuizEntryEdit:** On Safari, focus is lost after saving item level feedback ([65e27aa](https://gerrit.instructure.com/quiz_web/commits/65e27aa))
* **ScoreInput:** fix regrade text overlapping score input ([938d955](https://gerrit.instructure.com/quiz_web/commits/938d955))
* **Stimulus:** add horizontal scroll to Stimulus ([d1a7ec6](https://gerrit.instructure.com/quiz_web/commits/d1a7ec6))
* **style:** allow more width for points possible box ([1381802](https://gerrit.instructure.com/quiz_web/commits/1381802))
* **Take:** correct prop typo ([fd3e8af](https://gerrit.instructure.com/quiz_web/commits/fd3e8af))
* **takeFocus:** Focus on Take works correctly ([a50ed4e](https://gerrit.instructure.com/quiz_web/commits/a50ed4e))
* **takeStimulus:** Fix high contrast CSS for take Stimulus ([3f15c36](https://gerrit.instructure.com/quiz_web/commits/3f15c36))


### Features

* **testing:** use fixtures ([a56d29f](https://gerrit.instructure.com/quiz_web/commits/a56d29f))


### BREAKING CHANGES

* **Take:** consumers will need to update the useage of the <Take
/> prop `onTakeUnathorized` to `onTakeUnauthorized`

Change-Id: Idd3f1e5e7b78b0a1d9e506ea799adaa7313da951
Reviewed-on: https://gerrit.instructure.com/127715
Reviewed-by: Jared Crystal <jcrystal@instructure.com>
Tested-by: Jenkins
QA-Review: Tyler Burraston <tburraston@instructure.com>
Product-Review: Jeff Belser <jbelser@instructure.com>



<a name="5.1.0"></a>
# [5.1.0](https://gerrit.instructure.com/quiz_web/compare/v5.0.0...v5.1.0) (2017-10-03)


### Bug Fixes

* **ie11:** fixes add-content popover styles for ie11 ([da37a35](https://gerrit.instructure.com/quiz_web/commits/da37a35))
* **ie11/stimulus:** allows creation of stimuli in ie11 ([9693dd3](https://gerrit.instructure.com/quiz_web/commits/9693dd3))
* **Regrading:** Hide regrading for manually graded item types ([6f35459](https://gerrit.instructure.com/quiz_web/commits/6f35459))
* **Regrading:** Show footer when regrading ([90f7ceb](https://gerrit.instructure.com/quiz_web/commits/90f7ceb))
* **stimulus:** allows items in stimuli to have outcomes aligned ([4f757d6](https://gerrit.instructure.com/quiz_web/commits/4f757d6))
* **stimulusResults:** shows correct items in stimuli on results ([f4184ee](https://gerrit.instructure.com/quiz_web/commits/f4184ee))
* **webpack:** remove moment/moment from noParse ([0dac168](https://gerrit.instructure.com/quiz_web/commits/0dac168))


### Features

* **rce:** allows for alt text on rce images ([14912f0](https://gerrit.instructure.com/quiz_web/commits/14912f0))



<a name="5.0.0"></a>
# [5.0.0](https://gerrit.instructure.com/quiz_web/compare/v4.11.4...v5.0.0) (2017-09-27)


### Bug Fixes

* **banking:** Fix copy/move bank entry modal not appearing ([b4c3bad](https://gerrit.instructure.com/quiz_web/commits/b4c3bad))
* **build:** preserve temp item when leaving instructions ([efb86e0](https://gerrit.instructure.com/quiz_web/commits/efb86e0))
* **canvas-rce:** Bump canvas-rce to 2.5.4 ([380c020](https://gerrit.instructure.com/quiz_web/commits/380c020))
* **dragAndDrop:** D&D of question between two stimuli bug ([72a4d16](https://gerrit.instructure.com/quiz_web/commits/72a4d16))
* **ipFilter:** A11y fix for Adding and Removing Filters ([ec3fe34](https://gerrit.instructure.com/quiz_web/commits/ec3fe34))
* **IpFiltering:** bug in error handling deletions ([a7ddc5b](https://gerrit.instructure.com/quiz_web/commits/a7ddc5b))
* **IpFiltering:** deletion handling ([b7feae2](https://gerrit.instructure.com/quiz_web/commits/b7feae2))
* **IpFiltering:** don't allow bad ranges ([78e8816](https://gerrit.instructure.com/quiz_web/commits/78e8816))
* **IpFiltering:** Improve trash button SR text ([28fd92f](https://gerrit.instructure.com/quiz_web/commits/28fd92f))
* **regrading:** add text clarifying appliation of regrades to existing s ([62f4529](https://gerrit.instructure.com/quiz_web/commits/62f4529))
* **scrolling:** Automatically scroll to newly created quiz entries ([bcecb65](https://gerrit.instructure.com/quiz_web/commits/bcecb65))
* **settings:** remove timer input overlap ([a9bf0f9](https://gerrit.instructure.com/quiz_web/commits/a9bf0f9))
* **sidebar:** Fix Sidebar spacing issue in consumers ([719e8b2](https://gerrit.instructure.com/quiz_web/commits/719e8b2))
* **sidebar:** scroll to stimulus and bank in sidebar ([db3344f](https://gerrit.instructure.com/quiz_web/commits/db3344f))
* **stimulusEdit:** allows edits to stimulus ([0b1079a](https://gerrit.instructure.com/quiz_web/commits/0b1079a))
* **tests:** scrollToItem moved to a new path ([8a74ec0](https://gerrit.instructure.com/quiz_web/commits/8a74ec0))


### Features

* **outcomes:** bump outcomes-react to 3.2.1 ([e408f41](https://gerrit.instructure.com/quiz_web/commits/e408f41))
* **sidebar:** Finish Pinning and Improve Styling ([e18453a](https://gerrit.instructure.com/quiz_web/commits/e18453a))


### BREAKING CHANGES

* **sidebar:** Removed the common/styles/variables.js and
common/styles/base.css files.

Test plan:
On the taking sidebar, pin an item. Clicking that pinned item will take
you to the item.

There is a visual bug with instui (see
INSTUI-768" target="_blank" rel="nofollow">INSTUI-768" target="_blank" rel="nofollow">https://instructure.atlassian.net/browse/INSTUI-768). This will affect
the vertical spacing of the pinned questions until it is resolved.
Also, fixed several visual problems to bring the colors up to parity with
design.
Also fixed several console output problems caused by implemeting
themeable.

Change-Id: I0b08abb1eeef3f34fa181468aa041579264fce55
Reviewed-on: https://gerrit.instructure.com/126650
Tested-by: Jenkins
Reviewed-by: Jared Crystal <jcrystal@instructure.com>
QA-Review: Michael Hanks <mhanks-c@instructure.com>
Product-Review: Kevin Dougherty <jdougherty@instructure.com>



<a name="4.11.4"></a>
## [4.11.4](https://gerrit.instructure.com/quiz_web/compare/v4.11.3...v4.11.4) (2017-09-20)


### Bug Fixes

* **babel:** fix themable transpilation ([d1a06f4](https://gerrit.instructure.com/quiz_web/commits/d1a06f4))
* **test:** Evaluate correct container ID for copying integration output ([d97aab7](https://gerrit.instructure.com/quiz_web/commits/d97aab7))



<a name="4.11.3"></a>
## [4.11.3](https://gerrit.instructure.com/quiz_web/compare/v4.12.0...v4.11.3) (2017-09-19)


### Bug Fixes

* **themeing:** sidebar dnd style fix ([b10aef3](https://gerrit.instructure.com/quiz_web/commits/b10aef3))



<a name="4.11.2"></a>
## [4.11.2](https://gerrit.instructure.com/quiz_web/compare/v4.12.0...v4.11.2) (2017-09-19)



<a name="4.11.1"></a>
## [4.11.1](https://gerrit.instructure.com/quiz_web/compare/v4.11.0...v4.11.1) (2017-09-11)


### Bug Fixes

* **a11y:** fix outcomes button giving no indication of panel status ([78d8f61](https://gerrit.instructure.com/quiz_web/commits/78d8f61))
* **banking:** show edit footer for banked items on build ([b714c66](https://gerrit.instructure.com/quiz_web/commits/b714c66))
* **ImportModal:** pass liveRegion to alerts ([0b8d00b](https://gerrit.instructure.com/quiz_web/commits/0b8d00b))
* **Regrading:** Include PointsPossible in regrading payloads ([4d4a649](https://gerrit.instructure.com/quiz_web/commits/4d4a649))
* **StreamQueue:** add page if last page full ([74b98f3](https://gerrit.instructure.com/quiz_web/commits/74b98f3))



<a name="4.11.0"></a>
# [4.11.0](https://gerrit.instructure.com/quiz_web/compare/v4.9.0...v4.11.0) (2017-09-08)


### Bug Fixes

* **a11y:** Improve focus indication for sidebar Move button ([5c92918](https://gerrit.instructure.com/quiz_web/commits/5c92918))
* **banking:** Fix overriding banked MC items allowing all the edits ([d56ada7](https://gerrit.instructure.com/quiz_web/commits/d56ada7))
* **Banks:** allows editing of bank item in quiz ([292546c](https://gerrit.instructure.com/quiz_web/commits/292546c))
* **interactionTypes:** i18n all interaction types ([d57f98b](https://gerrit.instructure.com/quiz_web/commits/d57f98b))
* **test:** fixes broken button test ([6d52437](https://gerrit.instructure.com/quiz_web/commits/6d52437))


### Features

* **Regrading:** Support regrading of banked items ([a719f23](https://gerrit.instructure.com/quiz_web/commits/a719f23))


### Performance Improvements

* **RCE:** lazy-load tinymce ([b1ffcc3](https://gerrit.instructure.com/quiz_web/commits/b1ffcc3))


<a name="4.10.0"></a>
# [4.10.0](https://gerrit.instructure.com/quiz_web/compare/v4.8.0...v4.9.0) (2017-09-06)

* **Bad Release** - should work but had a failing test, so re-releasing for good measure


<a name="4.9.0"></a>
# [4.9.0](https://gerrit.instructure.com/quiz_web/compare/v4.8.0...v4.9.0) (2017-09-06)


### Bug Fixes

* **a11y:** Fix "Time is up" overlay escapable by screenreader ([c15f859](https://gerrit.instructure.com/quiz_web/commits/c15f859))
* **accessCode:** focuses Begin button on successful access code submit ([431c9dd](https://gerrit.instructure.com/quiz_web/commits/431c9dd))
* **building:** correctly sorts the interaction types ([8826bfd](https://gerrit.instructure.com/quiz_web/commits/8826bfd))
* **ConfirmSessionSubmit:** Confirm session submit numbers ordered ([996b2d4](https://gerrit.instructure.com/quiz_web/commits/996b2d4))
* **itemFeedback:** show regardless of flag ([12995df](https://gerrit.instructure.com/quiz_web/commits/12995df))
* **numberInputs:** makes several number inputs wider ([98e94ad](https://gerrit.instructure.com/quiz_web/commits/98e94ad))
* **QuizEntry:** Split up QuizEntry for better-ness ([3ebf98f](https://gerrit.instructure.com/quiz_web/commits/3ebf98f))
* **redux:** Prevent Redux Logging in Production ([8cf3c26](https://gerrit.instructure.com/quiz_web/commits/8cf3c26))
* **sidebar:** fixes sarafi sidebar scrolling issue ([c0751e5](https://gerrit.instructure.com/quiz_web/commits/c0751e5))
* **taking:** Fix "Time is up" overlay not masking page content ([fd695d8](https://gerrit.instructure.com/quiz_web/commits/fd695d8))


### Features

* **Regrading:** Rename a constant and add actions ([eb3f078](https://gerrit.instructure.com/quiz_web/commits/eb3f078))
* **RegradingModal:** Move RegradingModal to common spot ([997db00](https://gerrit.instructure.com/quiz_web/commits/997db00))
* **tests:** Allow for faster headless int-tests ([9f3c108](https://gerrit.instructure.com/quiz_web/commits/9f3c108))



<a name="4.8.0"></a>
# [4.8.0](https://gerrit.instructure.com/quiz_web/compare/v4.7.1-1...v4.8.0) (2017-08-29)


### Bug Fixes

* **a11y:** VO description on delete butttons ([3d6f3b9](https://gerrit.instructure.com/quiz_web/commits/3d6f3b9))
* **instructions:** allows adding link to instructions via rce ([e6adcff](https://gerrit.instructure.com/quiz_web/commits/e6adcff))


### Features

* **outcomes:** Bump outcomes-react to 3.1.1 ([0cc010b](https://gerrit.instructure.com/quiz_web/commits/0cc010b))



<a name="4.7.0"></a>
# [4.7.0](https://gerrit.instructure.com/quiz_web/compare/v4.6.0...v4.7.0) (2017-08-28)


### Bug Fixes

* **FITB:** response events are displayed as Unknown response ([2331e72](https://gerrit.instructure.com/quiz_web/commits/2331e72))
* **regrading:** do not allow teacher to click out of regrading modal ([dc7d005](https://gerrit.instructure.com/quiz_web/commits/dc7d005))
* **Sidebar:** Add missing box-sizing style to sidebar header ([9b5f90b](https://gerrit.instructure.com/quiz_web/commits/9b5f90b))
* **StickySettings:** timer shows no time if quiz has no time ([6b5762b](https://gerrit.instructure.com/quiz_web/commits/6b5762b))
* **stimulusBanking:** allows multiple copies of banked stimulus in quiz ([20beef0](https://gerrit.instructure.com/quiz_web/commits/20beef0))


### Features

* **graderFeedback:** Grader Feedback File Uploads ([76243a8](https://gerrit.instructure.com/quiz_web/commits/76243a8))



<a name="4.6.0"></a>
# [4.6.0](https://gerrit.instructure.com/quiz_web/compare/v4.5.2...v4.6.0) (2017-08-24)


### Bug Fixes

* **banking:** fixes adding to bank with changes in edit mode ([cd9b320](https://gerrit.instructure.com/quiz_web/commits/cd9b320))
* **Build:** Make sidebar work in docs app ([9c8f989](https://gerrit.instructure.com/quiz_web/commits/9c8f989))
* **dragAndDrop:** Fix drag and drop functionality on IE ([5538643](https://gerrit.instructure.com/quiz_web/commits/5538643))
* **interactions:** Bump interactions to 3.1.3 ([4285994](https://gerrit.instructure.com/quiz_web/commits/4285994))
* **itemFeedback:** Fix focus in item feedback modal ([75a946e](https://gerrit.instructure.com/quiz_web/commits/75a946e))
* **outcomes:** accept applicationElement on SDKApp ([f822633](https://gerrit.instructure.com/quiz_web/commits/f822633))
* **rce:** Prevent passing null to instructions rce ([1ec017a](https://gerrit.instructure.com/quiz_web/commits/1ec017a))
* **regrading:** Fix regrading modal ([9203d03](https://gerrit.instructure.com/quiz_web/commits/9203d03))
* **resume:** Make quiz response events sent to Kinesis immediately ([91ea583](https://gerrit.instructure.com/quiz_web/commits/91ea583))
* **Safari:** content div height ([45bee6b](https://gerrit.instructure.com/quiz_web/commits/45bee6b))
* **sidebar:** fixes movement in sidebar for firefox ([3006988](https://gerrit.instructure.com/quiz_web/commits/3006988))
* **stimulusBanking:** fixes grading page display with stimulus from bank ([d6f4a27](https://gerrit.instructure.com/quiz_web/commits/d6f4a27))


### Features

* **outcomes:** add outcomes list to stats item analysis ([6d5dc35](https://gerrit.instructure.com/quiz_web/commits/6d5dc35))



<a name="4.5.2"></a>
## [4.5.2](https://gerrit.instructure.com/quiz_web/compare/v4.5.1...v4.5.2) (2017-08-21)



<a name="4.5.1"></a>
## [4.5.1](https://gerrit.instructure.com/quiz_web/compare/v4.5.0...v4.5.1) (2017-08-21)


### Bug Fixes

* **Banks:** prevent adding empty bank to quiz ([c220ce5](https://gerrit.instructure.com/quiz_web/commits/c220ce5))
* **Card:** split into subcomponents ([e36a060](https://gerrit.instructure.com/quiz_web/commits/e36a060))
* **Reports:** Fix quiz analysis not found on quiz and item analysis page ([4698030](https://gerrit.instructure.com/quiz_web/commits/4698030))
* **Tests:** fix failing Card test ([f8c4ef5](https://gerrit.instructure.com/quiz_web/commits/f8c4ef5))



<a name="4.5.0"></a>
# [4.5.0](https://gerrit.instructure.com/quiz_web/compare/v4.4.0...v4.5.0) (2017-08-18)


### Bug Fixes

* **access-code:** Clean up UI props where appropriate ([dd74473](https://gerrit.instructure.com/quiz_web/commits/dd74473))
* **banks:** fixes input size for bank entry ([4513be5](https://gerrit.instructure.com/quiz_web/commits/4513be5))
* **quizInteractions:** Bump QuizInteractions to 3.0.2 ([1c44f9e](https://gerrit.instructure.com/quiz_web/commits/1c44f9e))
* **sidebar:** close the sidebar when focus leaves it on mobile ([3e54a65](https://gerrit.instructure.com/quiz_web/commits/3e54a65))
* **SidebarItem:** use link-inverse variant for sidebar links ([19ee24f](https://gerrit.instructure.com/quiz_web/commits/19ee24f))


### Features

* **outcomes:** Bump outcomes-react to 3.0.0 ([6d5a45b](https://gerrit.instructure.com/quiz_web/commits/6d5a45b))
* **quiz-interactions:** Bump quiz-interactions to 3.1.0 ([4ae95f5](https://gerrit.instructure.com/quiz_web/commits/4ae95f5))
* **SDKBuildingButtons:** Add SDKBuildingButtons ([240488e](https://gerrit.instructure.com/quiz_web/commits/240488e))
* **stimulusBanking:** adding all/Random from bank excludes stimuli ([edd6940](https://gerrit.instructure.com/quiz_web/commits/edd6940))
* **stimulusBanking:** fixes movement with stimuli bank entries ([36ad0a0](https://gerrit.instructure.com/quiz_web/commits/36ad0a0))



<a name="4.4.0"></a>
# [4.4.0](https://gerrit.instructure.com/quiz_web/compare/v4.3.0...v4.4.0) (2017-08-16)


### Bug Fixes

* **ExhaustivePaginatedFetcher:** Remove new.target ([ca3694a](https://gerrit.instructure.com/quiz_web/commits/ca3694a))
* **modals:** a11y improvements for modals ([85e77b6](https://gerrit.instructure.com/quiz_web/commits/85e77b6))
* **Regrading:** Alter regrade_info checks to be robust ([2ccf1fa](https://gerrit.instructure.com/quiz_web/commits/2ccf1fa))
* **StimulusTaking:** Fix taking with stimulus ([d9f190e](https://gerrit.instructure.com/quiz_web/commits/d9f190e))


### Features

* **integration:** move seeds into quiz_web ([8558a00](https://gerrit.instructure.com/quiz_web/commits/8558a00))
* **Regrading:** add other score reconciliations ([97f646c](https://gerrit.instructure.com/quiz_web/commits/97f646c))
* **Regrading:** Add points_possible to regrading payload ([5c04835](https://gerrit.instructure.com/quiz_web/commits/5c04835))
* **StickySettings:** display time limit with session-specific modifiers ([b25e892](https://gerrit.instructure.com/quiz_web/commits/b25e892))



<a name="4.3.0"></a>
# [4.3.0](https://gerrit.instructure.com/quiz_web/compare/v4.2.0...v4.3.0) (2017-08-14)


### Bug Fixes

* **a11y:** SR should announce the side bar has been opened. ([6725afd](https://gerrit.instructure.com/quiz_web/commits/6725afd))
* **ItemAnalysis:** Allow any type of quiz entry to have item analysis ([5f67391](https://gerrit.instructure.com/quiz_web/commits/5f67391))
* **itemCreation:** fixes rce bug in item creation ([9cf4114](https://gerrit.instructure.com/quiz_web/commits/9cf4114))
* **quiz-pagination:** Fix large quiz pagination ([1f4b11a](https://gerrit.instructure.com/quiz_web/commits/1f4b11a))
* **regrade:** regrade points show 0 instead of NaN ([42471a7](https://gerrit.instructure.com/quiz_web/commits/42471a7))


### Features

* **file-upload:** Pass upload props to interactions ([9391a8a](https://gerrit.instructure.com/quiz_web/commits/9391a8a))
* **Grading:** Add continue to next student option ([94de557](https://gerrit.instructure.com/quiz_web/commits/94de557))
* **Regrading:** show regrading in grade view ([37094e4](https://gerrit.instructure.com/quiz_web/commits/37094e4))
* **stimulusBanking:** adding stimulus from quiz to bank ([42ee1ab](https://gerrit.instructure.com/quiz_web/commits/42ee1ab))
* **stimulusBanking:** basic adding from quiz ([8aee5f1](https://gerrit.instructure.com/quiz_web/commits/8aee5f1))
* **stimulusBanking:** handles stimulus bankEntry in quiz ([ae6ab80](https://gerrit.instructure.com/quiz_web/commits/ae6ab80))



<a name="4.2.0"></a>
# [4.2.0](https://gerrit.instructure.com/quiz_web/compare/v4.1.1...v4.2.0) (2017-08-09)


### Features

* **stimulusBanking:** correctly clones immutable stimulus in bank ([f895b11](https://gerrit.instructure.com/quiz_web/commits/f895b11))



<a name="4.1.0"></a>
# [4.1.0](https://gerrit.instructure.com/quiz_web/compare/v4.0.1...v4.1.0) (2017-08-03)


### Bug Fixes

* **$browser:** Don't display null on score for stats page ([194302c](https://gerrit.instructure.com/quiz_web/commits/194302c))
* **AddContentPopover,addContentButton:** Unregister Esc handler, change button text ([a83d756](https://gerrit.instructure.com/quiz_web/commits/a83d756))
* **notFoundPage:** Add NotFoundPage back into sdk ([1d9f888](https://gerrit.instructure.com/quiz_web/commits/1d9f888))


### Features

* **outcomes:** Pass context uuid to outcome components ([7130298](https://gerrit.instructure.com/quiz_web/commits/7130298))
* **stimulusBanking:** show/edit components for stimuli in banks ([7e9e935](https://gerrit.instructure.com/quiz_web/commits/7e9e935))
* **version:** Bump quiz-interactions to latest version ([b86145a](https://gerrit.instructure.com/quiz_web/commits/b86145a))



<a name="4.0.1"></a>
## 4.0.1 (2017-08-02)


### Bug Fixes

* **sidebar:** Fix sidebar open on wrong pages (bd9f98d)



<a name="4.0.0"></a>
# 4.0.0 (2017-08-01)


### Bug Fixes

* **displayPosition:** Fix Ordering Bug with Bank in Stimulus (9e4f532)
* **quiz-interactions:** Bump quiz-interactions to 2.2.7 (1d16e9e)


### Code Refactoring

* **QuizSessionLog:** Remove QuizSessionLog (a44ea94)


### Features

* **Regrading:** add regrade modal (0ec3878)


### BREAKING CHANGES

* **QuizSessionLog:** Removed QuizSessionLog

## 3.0.9
- v3.0.9
- custom emptyMessage prop for ModerateTable
- update translations
- Set storeKey for connected components
- Keystroke for hearing remaining time
- update translations
- Add external webpack config
- Fix fudge points on reload
- Run tests with headless chrome
- update translations
- Remove routers and other dead code
- Bump to version 3.0.8
- update translations

## 3.0.8
- Remove container div from IfFeature
- Remove ModerateTray
- Fix build page header styling issues
- Fix bank entry drag'n'drop
- Add latex rendering in sidebar
- Split pagination rendering into Paginator component
- Move focus to Import button when file selected
- Ensure timezones are used for Date Display

## 3.0.7
- bump quiz interactions to 2.2.2
- Enable loading of resume data for OQAAT non-backtracking
- Add screenreader notification to new bank modal
- Fix jumping ordering interactions
- update translations
- Fix clicking margin saving quiz entry

## 3.0.6
- Fix autograding timeout
- bump quiz_interactions to 2.2.0
- Export alert functions
- Make build page header visible and add item banks button
- fix screenreader label on time feature option
- bump outcomes-react to ^2.0.3
- Set a Default Height to Image Embed
- Add Unique ImportModal Ids
- Remove camelization workaround
- minor fixes to integration tests
- make header in tray an h2
- rce image upload in interactions
- Add Image Embed to Stimulus RCE

## 3.0.5
- change tinymce config to standard vars
- bump quiz-interactions to 2.1.1-6
- Allow All Image Types for RCE Image Embed
- Add Image Insert Plugin to RCE
- add page object model
- Update feedback labels to separate feedback
- Fix focus on edit bank entry
- Bump Version to 3.0.3

## 3.0.3
- bump quiz-interactions to 2.1.1-3
- fixes buttons for manual grading
- Fix banks not loading when navigating directly to Banks page
- Restore props needed to save the alignment & quiz
- simplify local integration test setup
- Fix date rendering in BanksList
- Actually fix uploads
- Wait for webpack to start integration tests
- Remove hardcoded href in BuildingButtons and allow callback to be used instead
- always show qti import in ... menu
- Fix quiz entry bank edit number input size
- Refactor Import Modal
- add nightwatch integration tests
- Fix bank tray a11y focus
- [a11y] make options in the sidebar menu keyboard accessible
- update outcomes-react to 2.0.2
- Add RCE to grader level feedback
- Add item feedback to bankEntry page
- Fix S3 upload callback
- Fix essay word limit bug

## 3.0.2
- Fix hotspot frontend url
- update to quiz-presets 1.0.14
- Ignore “selector-max-type” style lint rule
- Add name prop to QuizEntryEdit
- update translations
- remove translations with empty messages
- Fixup stimulus delete translation
- Makes Item Banks Link Accessible
- update outcomes-react to 2.0.1

## 3.0.0
- fix header button styling
- Fix OQAAT Issues
- Require Grading component header to be passed in
- Extract text only from sidebar items with HTML bodies
- Tweak gray background value to match inst-ui
- Re-enable item bank in stimulus
- Fix stimulus item banking
- Fix BankEntry page breadcrumb links. Separate clearChanges for modifications and cancelHandler callbacks
- fix most stylelint issues
- Fix StimulusEdit unmount test
- Tweak "Resume" button verbiage to be product agnostic


## 2.5.0
- Add bank selection component
- Fix item not validated before creating for bank
- stimulus - remove bank button on add
- prevent banks and bank entries from moving into stimuli
- Fix close button on confirmation dialog
- fix rce stimulus clearing
- Allow fudge points to be hidden
- stimulus - minor tweaks
- Essay - fix essay resume data loading properly
- add validation to stimulus edit
- Stricter prop type check for SDKApp.app
- stimulus style tweaks on build
- Fix stimulus dots on taking
- Add pencil to stimulus edit, cleanup button layout for stimulus edit
- Hide Stimulus AddContentPopover Buttons on Dragging
- bump quiz_interactions to 2.1.1-2
- Style fixup for stimulus sidebar
- Add styling changes for Stimulus edit
- improved styles for stimulus delete modal
- When new item is added to bank, save quiz and bank entry
- stimulus delete modal - prevent done until option selected
- disable single item drag handle in sidebar
- Stimulus UI cleanup
- Stimulus - moving immutable items into/out of stimuli
- Fix Ordering issue on entry delete
- correctly disables stimulus drag handle
- Fix stimulus clone bug
- stimulus delete - add checkbox padding
- fixes timer inputs to be numeric only
- Fix duplicate question responses not rendering
- fix submit/edit/return button in upper right
- Add styling for StimulusShow
- fix html escaping in the sidebar
- fixes DnD edge cases
- Fix unanswered warning when item appears in quiz more than once
- add docs for take
- fix stimulus scroll helper focus
- Add Content Popover between Stim Items
- Add unauthorized message to edit a banked item that is not yours
- Revert change 117338
- remove mergeDeep in addQuizEntries reducer
- Fixup access code acessibility
- Stimulus - movement as a group
- bump quiz_interactions to 2.1.1-1
- oqaat rendering fix
- Fix taking sidebar when there are duplicate questions
- Fix OQAAT Stimulus
- Use the newer quiz-preset and calm style lint

## 2.4.0
- allow moderation tableData & rowData to accept a maxAttempts value
- Add additional validation on build page for sampleNum
- Fix errors when editing bank entries
- moderation table row attempt should only be link if graded
- Fix build page card styling
- Add title and interaction type to BankEntry
- Student access code styling
- Add Actions to Stimulus Sidebars
- upgrade canvas-rce to use npm version
- Redirect on taking access denied
- bank entry sidebar
- fix eslint errors on master
- delete bank entries
- fix settings doc and remove sidebars until it's done correctly
- fix for add content button styles
- Use the shared babel preset from quiz-presets
- fixes dropping item from stimulus at bottom below stimulus
- Fix validation of sample num
- stimulus - new movement in sidebar
- Student access code taking frontend support
- Fix PaginatedCollection making duplicate requests on page change
- fix for when the only quiz entry is a bank
- Implement grader level feedback
- fix double scroll bar issues on Windows Firefox
- Update Bank Title
- Add front-end changes for stimulus deletion
- Fix some (possible) bugs caught by eslint
- Add minified sidebar stimulus items
- add multiple reports page, outcomes report
- Copy item when bank entry is copied

## 2.3.15
- add attempt history url callback on moderation
- use props for quizSessionId on results page
- upgrade inst icons, switch bank icons
- restore necessary method bindings
- fix content spacing on pages
- QTI bank import modal
- allow results subtitle prop
- Stimulus is DnD target independent of other quiz entries
- automated eslint fixes
- fix vary points by answer disabling question title
- add SidebarItems under Stimulus
- tweaks for hospot frontend
- Ignore more eslint items
- results attempt history table
- upload refactor and hot spot additions
- fix aliased paths, fix translations catalog
- replace Item QuizEntry with BankEntry QuizEntry when added to bank
- Taking Sidebar Stimulus
- Setting for Student Access Code
- Create Stimulus Sidebar Common
- Stimulus - new and improved quiz entry movement

## 2.3.14
- add session items call to ModerateSession isFetching
- display spinner for moderate table fetching
- Results and Grading using new ordering
- add ui component test framework
- disable babel i18n extract if lacking access
- allow a callback for attempt history table links

## 2.3.13
- Only show relevant session's results on results page
- Only consider current session for submit confirmation modal
- remove a bunch of empty translation json files
- output pathinfo webpack comments for easier debugging
- generate pre-translated code in lib/translated/<locale>
- Load just en strings for eslint so it is faster

## 2.3.12
- Fix Vary Points By Answer saving issue

## 2.3.11
- Bump quiz-interactions to 2.0.1-9

## 2.3.10
- remove straggling alias config stuff
- give position boxes higher z-index
- Restructure Taking to use New Pattern
- fix item versioning save

## 2.3.9
- Render interaction type name in quizentry edit
- Stimulus - DnD within and around
- Add sample number to the position box and sidebar

## 2.3.8
- Add lib/.babelrc to .npmignore
- remove the -r flag from xargs in the pre-hook.example
- Bank entry create
- Fix Temproray Stimulus Quizentry Issue
- Render BankEntry QuizEntry on build page again
- Remove temporary item when deleting item in edit view
- use instanceof instead of the constructor in QuizEntryShow
- using the stimulusId on the item
- rm babel-plugin-transform-alias now that we don’t need it

## 2.3.7
- only pull translated strings
- s/aliased imports/ to real relative paths/

## 2.3.6
- Fix one alias from `require` to `import`
- Add taking/AttemptHistory
- Edit a bank in a quiz
- Standardize Entry/Item Order Display
- Fix deleting quiz entries

## 2.3.5
- Results page accepts children
- Don't render loading quiz sessions on moderation panel
- Update settings page styling
- Stimulus result component
- InstUI upgrade
- Add horizontal scroll for ModerateTable
- Fix pre-push hook for bash syntax
- Update tinymce-light-skin
- Add Hot Spot and File Upload records
- Stimulus immutability after take edit workflow
- Mobile stimulus take
- Fix PointsChange bug
- Fix url handling in Fetcher
- Configure transifex for push and pull
- Create child items belonging to simulus
- Add pagination to banks app
- Implement item feedback view on results page

## 2.3.4
- Fix title display and remove item button

## 2.3.3
- Sidebar Updates and Remove Preview
- Fix title and points possible rendering

## 2.3.2
- Support LTI provided settings page
- Bank entry versioning ui

## 2.3.1
- bumps quiz_interactions to include
  working categories code
- includes quiz_entries refactor that
  supports stimuli on the build page
- includes multiple attempt logic on
  the quiz taking landing page
- validates that multiple answer
  questions have a correct answer

## 2.3.0
- Fix Cancel issue when creating a new item
- moderate: fetch session items
- Always fetch quiz entries when loading a quiz
- add `buttonLabel` prop to taking/show component
- remove isRequired from Show callback props

## 2.2.1
- Add back the Question Title
- Clean up remaining npm cruft

## 2.2.0
- moderate: in progress session touch ups
- Fix the results page loading after autograde
- prioritize quizSessionId from prop if present
- Add hook for more "info boxes" on Quiz show page.
- Implement add bank entry modal
- item versioning UI
- categorization record modificaitons
- remove `canTake` from quizSession
- Add react to Build index
- stimulus - can make updates
- Fix build page bug

## 2.1.0
- add build and settings to docs app
- Use SessionItem* endpoints
- fix styles of item banking options
- allow consumer control of taking/show LinkButton
- remove cache:false in test webpack config
- quiz-interactions version bump to 2.0.1-6
- Use scrollIntoView instead of scrollTop
- PaginatedCollection calls renderRecords with empty array
- essay - some wording/styling changes. Grading bar functionality
- Fix styling for bank as quiz entry
- grading header shows correctly with unanswered questions
- Increase code coverage minimum to back to 97%
- stimulus taking frontend
- Change props.item to props.entry for item feedback.Fix linting error.
- bump quiz_interactions to 2.0.1-5
- grading bar - incorrect button red when toggled. Adds points placeholder text.
- Redirect to Bank page after cancel and save
- grading page loads with only essay questions
- PaginatedCollection improvements
- Add capability to add and edit feedback on builder page
- do not show outcomes if not configured
- Categorization - Make Categorization Interaction Record
- Create/show stimulus items on the front-end
- watch-debug => watch:debug
- Break Item edit and show into components shared between Quiz and Bank
- bump quiz-interactions to 2.0.1-2
- fix for double click done button bug
- the docs app for quiz_web
- Fetch first page on PaginatedCollection stateKey prop change
- remove isRequired from ModerateTable avatar prop

## 2.0.1
-  Fetch first page on PaginatedCollection stateKey prop change

## 2.0.0
-  Upgrade to inst-ui 2.1.1 and inst-icons 3.0.0

## 1.1.0
-  misc moderation and i18n cleanup
-  fix schemas
-  Fix card and header menu styling for mobile
-  Fix timed quiz auto-submission (again)
-  a11y - fixes quiz title and instruction headers
-  Fix Build output
-  clean out more non-SDK code
-  adds isGrading prop to result components for grading notes

## 1.0.12
-  Revert Moderate Table CSS
-  CSS fixes for Card Styling

## 1.0.11
-  Add Banked content to Add Content list
-  Update Add Content List styling
-  Fixes to ModerateTable api fetching
-  Remove UserSession code from SDK

## 1.0.10
- Fixes bug with timed quizzes double submitting
- Accessibility tweaks for timer
- Adds extra information to timer settings
- Adds Edit Bank Entry component
- Adds ModerateSession component
- FITB validates levenshtein distance maximum

## 1.0.9
- ModerateTable only fetches data when session ids change
- ModerateTable no longer in a card
- Removed Moderate component
- PaginatedCollection updates its own state
- Cardify some pages that slipped through the cracks
- Move build dependencies to devDependencies

## 1.0.8
- Rename `Learner` to `Student` in moderation panel
- Allow `PaginatedCollection` to take vanilla JS props

## 1.0.7
- Changes Timer CSS on Take to set height
- Removes timer related JS error on take page
- adds timestamp to stats report page
- refactors sdk app card layout into child components
- changes karma sourcemaps
- update results and grading page styling
- stops graded quizzes from re-submitting when time is up
