"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _immutable = require("immutable");

var _ItemAnalysis = _interopRequireDefault(require("../../../../common/records/ItemAnalysis"));

var standardItemAnalysis = new _ItemAnalysis.default((0, _immutable.fromJS)({
  itemId: '3',
  itemAnalysis: {
    scoreInfo: {
      resultSum: 5,
      resultCount: 1
    },
    unansweredInfo: 1,
    choiceInfo: [{
      choiceCount: 2,
      id: 'id',
      itemBody: '<p>Item&gt;Body</p>',
      correct: true
    }, {
      choiceCount: 3,
      id: 'not_id',
      itemBody: 'choice Item Body not correct',
      correct: false
    }, {
      choiceCount: 4,
      id: 'not_id_again',
      itemBody: 'choice Item Body not correct still',
      correct: false
    }]
  }
}));
var _default = {
  permutations: [],
  renderProps: function renderProps(props) {
    return {
      componentProps: {
        itemAnalysis: standardItemAnalysis
      }
    };
  }
};
exports.default = _default;