"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("../react-redux");

var _reduxStore = _interopRequireDefault(require("../../reduxStore"));

var _Calculator = _interopRequireDefault(require("./layout/header/Calculator"));

var SDKHeaderCalculator = function SDKHeaderCalculator() {
  return _react.default.createElement(_reactRedux.Provider, {
    store: _reduxStore.default
  }, _react.default.createElement(_Calculator.default, null));
};

SDKHeaderCalculator.displayName = 'SDKHeaderCalculator';
var _default = SDKHeaderCalculator;
exports.default = _default;