"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Button = _interopRequireDefault(require("@instructure/ui-buttons/lib/components/Button"));

var _IconEdit = _interopRequireDefault(require("@instructure/ui-icons/lib/Line/IconEdit"));

var _ScreenReaderContent = _interopRequireDefault(require("@instructure/ui-a11y/lib/components/ScreenReaderContent"));

var _makeScrollable = _interopRequireDefault(require("../../../../../common/components/shared/functionality/makeScrollable"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var EditButton =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(EditButton, _Component);

  function EditButton() {
    (0, _classCallCheck2.default)(this, EditButton);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(EditButton).apply(this, arguments));
  }

  (0, _createClass2.default)(EditButton, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_Button.default, {
        variant: "icon",
        size: "small",
        icon: _IconEdit.default,
        onClick: this.props.onClick
      }, _react.default.createElement(_ScreenReaderContent.default, null, this.props.screenreaderText));
    }
  }]);
  EditButton.displayName = "EditButton";
  return EditButton;
}(_react.Component);

EditButton.propTypes = {
  onClick: _propTypes.default.func.isRequired,
  screenreaderText: _propTypes.default.string
};
EditButton.defaultProps = {
  screenreaderText: "\u7DE8\u96C6"
};

var _default = (0, _makeScrollable.default)(EditButton);

exports.default = _default;