"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _immutable = require("immutable");

var _BankEntry = _interopRequireDefault(require("../../../common/records/BankEntry"));

var _Item = _interopRequireDefault(require("../../../common/records/Item"));

var _default = {
  permutations: [{
    addEntryToQuiz: [null, Function.prototype],
    isExpanded: [false, true]
  }],
  renderProps: function renderProps(props) {
    var bankEntry = new _BankEntry.default();
    var item = new _Item.default();

    bankEntry.getEntry = function () {
      return item;
    };

    return {
      componentProps: {
        bankEntry: bankEntry,
        bankId: '1',
        clearUi: Function.prototype,
        createItem: Function.prototype,
        createStimulus: Function.prototype,
        navigateToBankEntry: Function.prototype,
        openModal: Function.prototype,
        removeBankEntry: Function.prototype,
        screenreaderNotification: Function.prototype,
        tagAssociations: (0, _immutable.fromJS)([{
          id: '1',
          tag_value: 'DOK-1'
        }, {
          id: '2',
          tag_value: 'Difficulty 0'
        }, {
          id: '3',
          tag_value: 'Question'
        }]),
        toggleExpanded: Function.prototype,
        withConfirm: Function.prototype,
        useBankTags: true
      }
    };
  }
};
exports.default = _default;