"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _immutable = require("immutable");

var _Quiz = _interopRequireDefault(require("../../../../../../common/records/Quiz"));

var _default = {
  permutations: [{
    isEditing: [true, false]
  }],
  renderProps: function renderProps(props) {
    return {
      componentProps: {
        changeQuizInstructions: Function.prototype,
        clearModifications: Function.prototype,
        quiz: new _Quiz.default((0, _immutable.fromJS)({
          id: 1,
          instructions: 'These are some instructions'
        })),
        saveQuizChange: Function.prototype,
        screenreaderNotification: Function.prototype,
        scrollKey: 'scrollKey',
        switchOffEditing: Function.prototype,
        switchOnEditing: Function.prototype
      }
    };
  }
};
exports.default = _default;