"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _immutable = require("immutable");

var _QuizSession = _interopRequireDefault(require("../../../../records/QuizSession"));

var _QuizSessionResult = _interopRequireDefault(require("../../../../records/QuizSessionResult"));

var _default = {
  permutations: [{
    quizSession: [new _QuizSession.default({
      elapsedTime: 5400
    })],
    quizSessionResult: [new _QuizSessionResult.default({
      id: '1',
      score: 9,
      pointsPossible: 10,
      percentage: 0.9
    }), new _QuizSessionResult.default({
      id: '1',
      score: 9
    }), new _QuizSessionResult.default({
      id: '1',
      pointsPossible: 10
    }), new _QuizSessionResult.default({
      id: '1'
    })],
    sessionItemResults: [(0, _immutable.fromJS)([{
      scoredData: {
        gradeStatus: 'graded'
      }
    }, {
      scoredData: {
        gradeStatus: 'waiting'
      }
    }])]
  }]
};
exports.default = _default;