"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _immutable = require("immutable");

var _QuizSession = _interopRequireDefault(require("../../../../common/records/QuizSession"));

var quizSessions = (0, _immutable.List)([new _QuizSession.default((0, _immutable.fromJS)({
  id: '1'
}))]);
var _default = {
  permutations: [{
    onAccommodationsClick: [null, Function.prototype]
  }, {
    shouldRenderModerateButton: [true, false]
  }, {
    rowData: [{
      id: '1',
      avatar: 'SA',
      name: 'Student A',
      quizSessionIds: ['1'],
      accommodations: [{
        name: 'Time',
        value: 'x2'
      }]
    }, {
      id: '2',
      avatar: 'SB',
      name: 'Student B',
      quizSessionIds: ['1']
    }, {
      id: '3',
      avatar: 'SC',
      name: 'Student C',
      quizSessionIds: ['1'],
      accommodations: [{
        name: 'Time',
        value: '+20 min'
      }, {
        name: 'Attempts',
        value: '+3'
      }]
    }, {
      id: '5',
      avatar: 'SE',
      name: 'Student E',
      quizSessionIds: ['1'],
      accommodations: [{
        name: 'Attempts',
        value: '+1'
      }]
    }]
  }],
  renderProps: function renderProps(props) {
    return {
      componentProps: {
        onModerateButtonClick: Function.prototype,
        onModerateLogClick: Function.prototype,
        onResultsLinkClick: Function.prototype,
        quizSessions: quizSessions
      }
    };
  }
};
exports.default = _default;