"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lib = _interopRequireDefault(require("@instructure/ui-themeable/lib"));

var _theme = _interopRequireDefault(require("./theme"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'caADp',
  template: function template(theme) {
    return "\n\n.quiz-core__CardWrapper--wrapper {\n  box-sizing: border-box;\n  padding: ".concat(theme.wrapperPadding || 'inherit', ";\n  transition: ").concat(theme.wrapperTransitionDuration || 'inherit', " ease;\n  background-color: ").concat(theme.wrapperBackgroundColor || 'inherit', ";\n  min-height: 100%;\n}\n\n@media screen and (--phoneBreakPoint) {\n  .quiz-core__CardWrapper--wrapper {\n    padding: ").concat(theme.phoneWrapperPadding || 'inherit', " 0;\n  }\n}\n");
  },
  'wrapper': 'quiz-core__CardWrapper--wrapper'
};
var CardWrapper = (_dec = (0, _lib.default)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(CardWrapper, _Component);

  function CardWrapper() {
    (0, _classCallCheck2.default)(this, CardWrapper);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(CardWrapper).apply(this, arguments));
  }

  (0, _createClass2.default)(CardWrapper, [{
    key: "render",
    value: function render() {
      return _react.default.createElement("div", {
        className: (0, _classnames.default)(styles.wrapper, this.props.className)
      }, this.props.children);
    }
  }]);
  CardWrapper.displayName = "CardWrapper";
  return CardWrapper;
}(_react.Component), _class2.propTypes = {
  children: _propTypes.default.node.isRequired,
  className: _propTypes.default.string
}, _class2.defaultProps = {
  className: null
}, _temp)) || _class);
var _default = CardWrapper;
exports.default = _default;